org.eclipse.jdt.core.compiler

## Interface IProblem

All Known Implementing Classes:
  CategorizedProblem

    public interface IProblem

Description of a Java problem, as detected by the compiler or some of the underlying technology reusing the compiler. A problem provides access to:

- its location (originating source file name, source position, line number)
- its message description
- predicates to check its severity (error, warning, or info)
- its ID : a number identifying the very nature of this problem. All possible IDs are listed as constants on this interface.

Note: the compiler produces IProblems internally, which are turned into markers by the JavaBuilder so as to persist problem descriptions. This explains why there is no API allowing to reach IProblem detected when compiling. However, the Java problem markers carry equivalent information to IProblem, in particular their ID (attribute "id") is set to one of the IDs defined on this interface.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static int` `AbstractMethodCannotBeOverridden`
`static int` `AbstractMethodInAbstractClass`
`static int` `AbstractMethodInEnum`
`static int` `AbstractMethodMustBeImplemented`
`static int` `AbstractMethodMustBeImplementedOverConcreteMethod`
`static int` `AbstractMethodsInConcreteClass`
`static int` `AbstractServiceImplementation`
`static int` `AmbiguousConstructor`
`static int` `AmbiguousConstructorInDefaultConstructor`
`static int` `AmbiguousConstructorInImplicitConstructorCall`
`static int` `AmbiguousField`
`static int` `AmbiguousMethod`
`static int` `AmbiguousType`
`static int` `AnnotationCannotOverrideMethod`
`static int` `AnnotationCircularity`
`static int` `AnnotationCircularitySelfReference`
`static int` `AnnotationFieldNeedConstantInitialization` Deprecated. - problem is no longer generated (code is legite)
`static int` `AnnotationMembersCannotHaveParameters`
`static int` `AnnotationMembersCannotHaveTypeParameters`
`static int` `AnnotationTypeDeclarationCannotHaveConstructor`
`static int` `AnnotationTypeDeclarationCannotHaveSuperclass`
`static int` `AnnotationTypeDeclarationCannotHaveSuperinterfaces`
`static int` `AnnotationTypeUsedAsSuperInterface`
`static int` `AnnotationValueMustBeAnEnumConstant`
`static int` `AnnotationValueMustBeAnnotation`
`static int` `AnnotationValueMustBeArrayInitializer`
`static int` `AnnotationValueMustBeClassLiteral`
`static int` `AnnotationValueMustBeConstant`
`static int` `AnonymousClassCannotExtendFinalClass`
`static int` `ApplicableMethodOverriddenByInapplicable`
`static int` `ArgumentHidingField`
`static int` `ArgumentHidingLocalVariable`
`static int` `ArgumentIsNeverUsed`
`static int` `ArgumentTypeAmbiguous` Deprecated. - problem is no longer generated, use `AmbiguousType` instead
`static int` `ArgumentTypeCannotBeVoid`
`static int` `ArgumentTypeCannotBeVoidArray` Deprecated. - problem is no longer generated, use `CannotAllocateVoidArray` instead
`static int` `ArgumentTypeInheritedNameHidesEnclosingName` Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static int` `ArgumentTypeInternalNameProvided` Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead
`static int` `ArgumentTypeNotFound` Deprecated. - problem is no longer generated, use `UndefinedType` instead
`static int` `ArgumentTypeNotVisible` Deprecated. - problem is no longer generated, use `NotVisibleType` instead
`static int` `ArrayConstantsOnlyInArrayInitializers`
`static int` `ArrayReferencePotentialNullReference`
`static int` `ArrayReferenceRequired`
`static int` `AssignmentHasNoEffect`
`static int` `AssignmentToMultiCatchParameter`
`static int` `AssignmentToResource`
`static int` `AutoManagedResourceNotBelow17`
`static int` `AutoManagedVariableResourceNotBelow9`
`static int` `BinaryLiteralNotBelow17`
`static int` `BodyForAbstractMethod`
`static int` `BodyForNativeMethod`
`static int` `BoundCannotBeArray`
`static int` `BoundHasConflictingArguments`
`static int` `BoundMustBeAnInterface`
`static int` `BoxingConversion`
`static int` `BytecodeExceeds64KLimit`
`static int` `BytecodeExceeds64KLimitForClinit`
`static int` `BytecodeExceeds64KLimitForConstructor`
`static int` `CannotAllocateVoidArray`
`static int` `CannotDeclareEnumSpecialMethod`
`static int` `CannotDefineAnnotationInLocalType`
`static int` `CannotDefineDimensionExpressionsWithInit`
`static int` `CannotDefineEnumInLocalType`
`static int` `CannotDefineInterfaceInLocalType`
`static int` `CannotDefineStaticInitializerInLocalType`
`static int` `CannotExtendEnum`
`static int` `CannotHideAnInstanceMethodWithAStaticMethod`
`static int` `CannotImplementIncompatibleNullness`
`static int` `CannotImportPackage`
`static int` `CannotInferElidedTypes`
`static int` `CannotInferInvocationType`
`static int` `CannotInvokeSuperConstructorInEnum`
`static int` `CannotOverrideAStaticMethodWithAnInstanceMethod`
`static int` `CannotReadSource`
`static int` `CannotReturnInInitializer`
`static int` `CannotThrowNull`
`static int` `CannotThrowType`
`static int` `CannotUseDiamondWithAnonymousClasses`
`static int` `CannotUseDiamondWithExplicitTypeArguments`
`static int` `CannotUseSuperInCodeSnippet`
`static int` `ClassExtendFinalClass`
`static int` `CodeCannotBeReached`
`static int` `CodeSnippetMissingClass`
`static int` `CodeSnippetMissingMethod`
`static int` `ComparingIdentical`
`static int` `ConflictingImport`
`static int` `ConflictingInheritedNullAnnotations`
`static int` `ConflictingNullAnnotations`
`static int` `ConflictingPackageFromModules`
`static int` `ConflictingPackageFromOtherModules`
`static int` `ConstructedArrayIncompatible`
`static int` `ConstructionTypeMismatch`
`static int` `ConstructorReferenceNotBelow18`
`static int` `ConstructorRelated`
`static int` `ConstructorVarargsArgumentNeedCast`
`static int` `ContainerAnnotationTypeHasNonDefaultMembers`
`static int` `ContainerAnnotationTypeHasShorterRetention`
`static int` `ContainerAnnotationTypeHasWrongValueType`
`static int` `ContainerAnnotationTypeMustHaveValue`
`static int` `ContradictoryNullAnnotations`
`static int` `ContradictoryNullAnnotationsInferred`
`static int` `ContradictoryNullAnnotationsInferredFunctionType`
`static int` `ContradictoryNullAnnotationsOnBound`
`static int` `CorruptedSignature`
`static int` `CyclicModuleDependency`
`static int` `DanglingReference`
`static int` `DeadCode`
`static int` `DefaultMethodNotBelow18`
`static int` `DefaultMethodOverridesObjectMethod`
`static int` `DereferencingNullableExpression`
`static int` `DiamondNotBelow17`
`static int` `DirectInvocationOfAbstractMethod`
`static int` `DisallowedExplicitThisParameter`
`static int` `DisallowedTargetForAnnotation`
`static int` `DisallowedTargetForContainerAnnotationType`
`static int` `DiscouragedReference`
`static int` `DuplicateAnnotation`
`static int` `DuplicateAnnotationMember`
`static int` `DuplicateAnnotationNotMarkedRepeatable`
`static int` `DuplicateBlankFinalFieldInitialization`
`static int` `DuplicateBoundInIntersectionCast`
`static int` `DuplicateBounds`
`static int` `DuplicateCase`
`static int` `DuplicateDefaultCase`
`static int` `DuplicateExports`
`static int` `DuplicateField`
`static int` `DuplicateFinalLocalInitialization`
`static int` `DuplicateImport`
`static int` `DuplicateInheritedDefaultMethods`
`static int` `DuplicateInheritedMethods`
`static int` `DuplicateLabel`
`static int` `DuplicateMethod`
`static int` `DuplicateMethodErasure`
`static int` `DuplicateModifierForArgument`
`static int` `DuplicateModifierForField`
`static int` `DuplicateModifierForMethod`
`static int` `DuplicateModifierForType`
`static int` `DuplicateModifierForVariable`
`static int` `DuplicateModuleRef`
`static int` `DuplicateNestedType`
`static int` `DuplicateOpens`
`static int` `DuplicateParameterizedMethods`
`static int` `DuplicateRequires`
`static int` `DuplicateResource`
`static int` `DuplicateServices`
`static int` `DuplicateSuperInterface`
`static int` `DuplicateTargetInTargetAnnotation`
`static int` `DuplicateTypes`
`static int` `DuplicateTypeVariable`
`static int` `DuplicateUses`
`static int` `EmptyControlFlowStatement`
`static int` `EnclosingInstanceInConstructorCall`
`static int` `EndOfSource`
`static int` `EnumAbstractMethodMustBeImplemented`
`static int` `EnumConstantCannotDefineAbstractMethod`
`static int` `EnumConstantMustImplementAbstractMethod`
`static int` `EnumConstantsCannotBeSurroundedByParenthesis`
`static int` `EnumStaticFieldInInInitializerContext`
`static int` `EnumSwitchCannotTargetField`
`static int` `ExceptionParameterIsNeverUsed`
`static int` `ExceptionTypeAmbiguous` Deprecated. - problem is no longer generated, use `AmbiguousType` instead
`static int` `ExceptionTypeInheritedNameHidesEnclosingName` Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static int` `ExceptionTypeInternalNameProvided` Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead
`static int` `ExceptionTypeNotFound` Deprecated. - problem is no longer generated, use `UndefinedType` instead
`static int` `ExceptionTypeNotVisible` Deprecated. - problem is no longer generated, use `NotVisibleType` instead
`static int` `ExplicitAnnotationTargetRequired`
`static int` `ExplicitlyClosedAutoCloseable`
`static int` `ExplicitThisParameterNotBelow18`
`static int` `ExplicitThisParameterNotInLambda`
`static int` `ExpressionShouldBeAVariable`
`static int` `ExternalProblemFixable`
`static int` `ExternalProblemNotFixable`
`static int` `FallthroughCase`
`static int` `FieldComparisonYieldsFalse`
`static int` `FieldHidingField`
`static int` `FieldHidingLocalVariable`
`static int` `FieldMissingDeprecatedAnnotation`
`static int` `FieldMustBeFinal`
`static int` `FieldRelated`
`static int` `FieldTypeAmbiguous` Deprecated. - problem is no longer generated, use `AmbiguousType` instead
`static int` `FieldTypeInheritedNameHidesEnclosingName` Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static int` `FieldTypeInternalNameProvided` Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead
`static int` `FieldTypeNotFound` Deprecated. - problem is no longer generated, use `UndefinedType` instead
`static int` `FieldTypeNotVisible` Deprecated. - problem is no longer generated, use `NotVisibleType` instead
`static int` `FinalBoundForTypeVariable`
`static int` `FinalFieldAssignment`
`static int` `FinallyMustCompleteNormally`
`static int` `FinalMethodCannotBeOverridden`
`static int` `FinalOuterLocalAssignment`
`static int` `ForbiddenReference`
`static int` `GenericConstructorTypeArgumentMismatch`
`static int` `GenericInferenceError`
`static int` `GenericMethodTypeArgumentMismatch`
`static int` `GenericTypeCannotExtendThrowable`
`static int` `HidingEnclosingType`
`static int` `HierarchyCircularity`
`static int` `HierarchyCircularitySelfReference`
`static int` `HierarchyHasProblems`
`static int` `IgnoreCategoriesMask` Mask to use in order to filter out the category portion of the problem ID.
`static int` `IllegalAbstractModifierCombinationForMethod`
`static int` `IllegalAccessFromTypeVariable`
`static int` `IllegalAnnotationForBaseType`
`static int` `IllegalArrayOfUnionType`
`static int` `IllegalArrayTypeInIntersectionCast`
`static int` `IllegalBasetypeInIntersectionCast`
`static int` `IllegalCast`
`static int` `IllegalClassLiteralForTypeVariable`
`static int` `IllegalDeclarationOfThisParameter`
`static int` `IllegalDefaultModifierSpecification`
`static int` `IllegalDefinitionToNonNullParameter`
`static int` `IllegalDimension`
`static int` `IllegalEnclosingInstanceSpecification`
`static int` `IllegalExtendedDimensions`
`static int` `IllegalExtendedDimensionsForVarArgs`
`static int` `IllegalGenericArray`
`static int` `IllegalHexaLiteral`
`static int` `IllegalInstanceofParameterizedType`
`static int` `IllegalInstanceofTypeParameter`
`static int` `IllegalModifierCombinationFinalAbstractForClass`
`static int` `IllegalModifierCombinationFinalVolatileForField`
`static int` `IllegalModifierCombinationForInterfaceMethod`
`static int` `IllegalModifierCombinationForPrivateInterfaceMethod9`
`static int` `IllegalModifierForAnnotationField`
`static int` `IllegalModifierForAnnotationMemberType`
`static int` `IllegalModifierForAnnotationMethod`
`static int` `IllegalModifierForAnnotationType`
`static int` `IllegalModifierForArgument`
`static int` `IllegalModifierForClass`
`static int` `IllegalModifierForConstructor`
`static int` `IllegalModifierForEnum`
`static int` `IllegalModifierForEnumConstant`
`static int` `IllegalModifierForEnumConstructor`
`static int` `IllegalModifierForField`
`static int` `IllegalModifierForInterface`
`static int` `IllegalModifierForInterfaceField`
`static int` `IllegalModifierForInterfaceMethod`
`static int` `IllegalModifierForInterfaceMethod18`
`static int` `IllegalModifierForInterfaceMethod9`
`static int` `IllegalModifierForLocalClass`
`static int` `IllegalModifierForLocalEnum` Deprecated. - problem could not be reported, enums cannot be local takes precedence
`static int` `IllegalModifierForMemberClass`
`static int` `IllegalModifierForMemberEnum`
`static int` `IllegalModifierForMemberInterface`
`static int` `IllegalModifierForMethod`
`static int` `IllegalModifierForModule`
`static int` `IllegalModifierForVariable`
`static int` `IllegalModifiers`
`static int` `IllegalModifiersForElidedType`
`static int` `IllegalParameterNullityRedefinition`
`static int` `IllegalPrimitiveOrArrayTypeForEnclosingInstance`
`static int` `IllegalQualifiedEnumConstantLabel`
`static int` `IllegalQualifiedParameterizedTypeAllocation`
`static int` `IllegalQualifierForExplicitThis`
`static int` `IllegalQualifierForExplicitThis2`
`static int` `IllegalRedefinitionOfTypeVariable`
`static int` `IllegalRedefinitionToNonNullParameter`
`static int` `IllegalReturnNullityRedefinition`
`static int` `IllegalReturnNullityRedefinitionFreeTypeVariable`
`static int` `IllegalStaticModifierForMemberType`
`static int` `IllegalStrictfpForAbstractInterfaceMethod`
`static int` `IllegalTypeAnnotationsInStaticMemberAccess`
`static int` `IllegalTypeArgumentsInRawConstructorReference`
`static int` `IllegalTypeForExplicitThis`
`static int` `IllegalTypeVariableSuperReference`
`static int` `IllegalUnderscorePosition`
`static int` `IllegalUsageOfQualifiedTypeReference`
`static int` `IllegalUsageOfTypeAnnotations`
`static int` `IllegalUseOfUnderscoreAsAnIdentifier`
`static int` `IllegalVararg`
`static int` `IllegalVarargInLambda`
`static int` `IllegalVisibilityModifierCombinationForField`
`static int` `IllegalVisibilityModifierCombinationForMemberType`
`static int` `IllegalVisibilityModifierCombinationForMethod`
`static int` `IllegalVisibilityModifierForInterfaceMemberType`
`static int` `illFormedParameterizationOfFunctionalInterface`
`static int` `ImplicitObjectBoundNoNullDefault`
`static int` `ImportAmbiguous` Deprecated. - problem is no longer generated, use `AmbiguousType` instead
`static int` `ImportInheritedNameHidesEnclosingName` Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static int` `ImportInternalNameProvided` Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead
`static int` `ImportNotFound`
`static int` `ImportNotVisible` Deprecated. - problem is no longer generated, use `NotVisibleType` instead
`static int` `ImportRelated`
`static int` `IncompatibleExceptionInInheritedMethodThrowsClause`
`static int` `IncompatibleExceptionInThrowsClause`
`static int` `IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod`
`static int` `IncompatibleLambdaParameterType`
`static int` `IncompatibleMethodReference`
`static int` `IncompatibleReturnType`
`static int` `IncompatibleReturnTypeForNonInheritedInterfaceMethod`
`static int` `IncompatibleTypesInConditionalOperator`
`static int` `IncompatibleTypesInEqualityOperator`
`static int` `IncompatibleTypesInForeach`
`static int` `IncorrectArityForParameterizedConstructor`
`static int` `IncorrectArityForParameterizedMethod`
`static int` `IncorrectArityForParameterizedType`
`static int` `IncorrectEnclosingInstanceReference`
`static int` `IncorrectSwitchType`
`static int` `IncorrectSwitchType17`
`static int` `IndirectAccessToStaticField`
`static int` `IndirectAccessToStaticMethod`
`static int` `IndirectAccessToStaticType`
`static int` `InheritedDefaultMethodConflictsWithOtherInherited`
`static int` `InheritedFieldHidesEnclosingName`
`static int` `InheritedIncompatibleReturnType`
`static int` `InheritedMethodHidesEnclosingName`
`static int` `InheritedMethodReducesVisibility`
`static int` `InheritedTypeHidesEnclosingName`
`static int` `InitializerMustCompleteNormally`
`static int` `InstanceFieldDuringConstructorInvocation`
`static int` `InstanceMethodDuringConstructorInvocation`
`static int` `InterfaceAmbiguous` Deprecated. - problem is no longer generated, use `AmbiguousType` instead
`static int` `InterfaceCannotHaveConstructors`
`static int` `InterfaceCannotHaveInitializers`
`static int` `InterfaceInheritedNameHidesEnclosingName` Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static int` `InterfaceInternalNameProvided` Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead
`static int` `InterfaceNotFound` Deprecated. - problem is no longer generated, use `UndefinedType` instead
`static int` `InterfaceNotFunctionalInterface`
`static int` `InterfaceNotVisible` Deprecated. - problem is no longer generated, use `NotVisibleType` instead
`static int` `InterfaceStaticMethodInvocationNotBelow18`
`static int` `InterfaceSuperInvocationNotBelow18`
`static int` `Internal`
`static int` `InternalTypeNameProvided`
`static int` `IntersectionCastNotBelow18`
`static int` `InvalidAnnotationMemberType`
`static int` `InvalidArrayConstructorReference`
`static int` `InvalidBinary`
`static int` `InvalidBreak`
`static int` `InvalidCatchBlockSequence`
`static int` `InvalidCharacterConstant`
`static int` `InvalidClassInstantiation`
`static int` `InvalidContinue`
`static int` `InvalidDigit`
`static int` `InvalidEncoding`
`static int` `InvalidEscape`
`static int` `InvalidExplicitConstructorCall`
`static int` `InvalidExpressionAsStatement`
`static int` `InvalidFileNameForPackageAnnotations`
`static int` `InvalidFloat`
`static int` `InvalidHexa`
`static int` `InvalidHighSurrogate`
`static int` `InvalidInput`
`static int` `InvalidLowSurrogate`
`static int` `InvalidNullToSynchronized`
`static int` `InvalidOctal`
`static int` `InvalidOpensStatement`
`static int` `InvalidOperator`
`static int` `InvalidParameterizedExceptionType`
`static int` `InvalidParenthesizedExpression`
`static int` `InvalidServiceImplType`
`static int` `InvalidServiceIntfType`
`static int` `InvalidTypeArguments`
`static int` `InvalidTypeExpression` Deprecated. - problem is no longer generated
`static int` `InvalidTypeForCollection`
`static int` `InvalidTypeForCollectionTarget14`
`static int` `InvalidTypeForStaticImport`
`static int` `InvalidTypeToSynchronized`
`static int` `InvalidTypeVariableExceptionType`
`static int` `InvalidUnaryExpression`
`static int` `InvalidUnicodeEscape`
`static int` `InvalidUnionTypeReferenceSequence`
`static int` `InvalidUsageOfAnnotationDeclarations`
`static int` `InvalidUsageOfAnnotations`
`static int` `InvalidUsageOfEnumDeclarations`
`static int` `InvalidUsageOfForeachStatements`
`static int` `InvalidUsageOfStaticImports`
`static int` `InvalidUsageOfTypeAnnotations`
`static int` `InvalidUsageOfTypeArguments`
`static int` `InvalidUsageOfTypeParameters`
`static int` `InvalidUsageOfTypeParametersForAnnotationDeclaration`
`static int` `InvalidUsageOfTypeParametersForEnumDeclaration`
`static int` `InvalidUsageOfVarargs`
`static int` `InvalidUsageOfWildcard`
`static int` `InvalidVoidExpression`
`static int` `IsClassPathCorrect`
`static int` `Javadoc`
`static int` `JavadocAmbiguousConstructor`
`static int` `JavadocAmbiguousField`
`static int` `JavadocAmbiguousMethod`
`static int` `JavadocAmbiguousMethodReference`
`static int` `JavadocAmbiguousType`
`static int` `JavadocDuplicateParamName`
`static int` `JavadocDuplicateReturnTag`
`static int` `JavadocDuplicateTag` Problem warned on duplicated tag.
`static int` `JavadocDuplicateThrowsClassName`
`static int` `JavadocEmptyReturnTag`
`static int` `JavadocGenericConstructorTypeArgumentMismatch`
`static int` `JavadocGenericMethodTypeArgumentMismatch`
`static int` `JavadocHiddenReference` Problem signaled on an hidden reference due to a too low visibility level.
`static int` `JavadocIncorrectArityForParameterizedConstructor`
`static int` `JavadocIncorrectArityForParameterizedMethod`
`static int` `JavadocInheritedFieldHidesEnclosingName`
`static int` `JavadocInheritedMethodHidesEnclosingName`
`static int` `JavadocInheritedNameHidesEnclosingTypeName`
`static int` `JavadocInternalTypeNameProvided`
`static int` `JavadocInvalidMemberTypeQualification` Problem signaled on an invalid qualification for member type reference.
`static int` `JavadocInvalidParamName`
`static int` `JavadocInvalidParamTagName`
`static int` `JavadocInvalidParamTagTypeParameter`
`static int` `JavadocInvalidSeeArgs`
`static int` `JavadocInvalidSeeHref` Problem signaled on an invalid URL reference that does not conform to the href syntax.
`static int` `JavadocInvalidSeeReference`
`static int` `JavadocInvalidSeeUrlReference` Problem signaled on an invalid URL reference.
`static int` `JavadocInvalidTag`
`static int` `JavadocInvalidThrowsClass`
`static int` `JavadocInvalidThrowsClassName`
`static int` `JavadocInvalidValueReference`
`static int` `JavadocMalformedSeeReference`
`static int` `JavadocMessagePrefix`
`static int` `JavadocMissing`
`static int` `JavadocMissingHashCharacter`
`static int` `JavadocMissingIdentifier`
`static int` `JavadocMissingParamName`
`static int` `JavadocMissingParamTag`
`static int` `JavadocMissingReturnTag`
`static int` `JavadocMissingSeeReference`
`static int` `JavadocMissingTagDescription` Problem warned on missing tag description.
`static int` `JavadocMissingThrowsClassName`
`static int` `JavadocMissingThrowsTag`
`static int` `JavadocNoMessageSendOnArrayType`
`static int` `JavadocNoMessageSendOnBaseType`
`static int` `JavadocNonGenericConstructor`
`static int` `JavadocNonGenericMethod`
`static int` `JavadocNonStaticTypeFromStaticInvocation`
`static int` `JavadocNotVisibleConstructor`
`static int` `JavadocNotVisibleField`
`static int` `JavadocNotVisibleMethod`
`static int` `JavadocNotVisibleType`
`static int` `JavadocParameterizedConstructorArgumentTypeMismatch`
`static int` `JavadocParameterizedMethodArgumentTypeMismatch`
`static int` `JavadocParameterMismatch`
`static int` `JavadocTypeArgumentsForRawGenericConstructor`
`static int` `JavadocTypeArgumentsForRawGenericMethod`
`static int` `JavadocUndefinedConstructor`
`static int` `JavadocUndefinedField`
`static int` `JavadocUndefinedMethod`
`static int` `JavadocUndefinedType`
`static int` `JavadocUnexpectedTag`
`static int` `JavadocUnexpectedText`
`static int` `JavadocUnterminatedInlineTag`
`static int` `JavadocUsingDeprecatedConstructor`
`static int` `JavadocUsingDeprecatedField`
`static int` `JavadocUsingDeprecatedMethod`
`static int` `JavadocUsingDeprecatedType`
`static int` `LambdaDescriptorMentionsUnmentionable`
`static int` `LambdaExpressionNotBelow18`
`static int` `lambdaParameterTypeMismatched`
`static int` `LambdaRedeclaresArgument`
`static int` `LambdaRedeclaresLocal`
`static int` `LambdaShapeComputationError` Deprecated. - problem is no longer generated (implementation issue has been resolved)
`static int` `lambdaSignatureMismatched`
`static int` `LocalVariableCannotBeNull` Deprecated. - problem is no longer generated, use `RedundantNullCheckOnNonNullLocalVariable` instead
`static int` `LocalVariableCanOnlyBeNull` Deprecated. - problem is no longer generated, use `NullLocalVariableReference`, `RedundantNullCheckOnNullLocalVariable` or `RedundantLocalVariableNullAssignment` instead
`static int` `LocalVariableHidingField`
`static int` `LocalVariableHidingLocalVariable`
`static int` `LocalVariableIsNeverUsed`
`static int` `LocalVariableMayBeNull` Deprecated. - problem is no longer generated, use `PotentialNullLocalVariableReference` instead
`static int` `MaskedCatch`
`static int` `MethodButWithConstructorName`
`static int` `MethodCanBePotentiallyStatic`
`static int` `MethodCanBeStatic`
`static int` `MethodMissingDeprecatedAnnotation`
`static int` `MethodMustOverride`
`static int` `MethodMustOverrideOrImplement`
`static int` `MethodNameClash`
`static int` `MethodNameClashHidden`
`static int` `MethodReducesVisibility`
`static int` `MethodReferenceNotBelow18`
`static int` `MethodReferenceSwingsBothWays`
`static int` `MethodRelated`
`static int` `MethodRequiresBody`
`static int` `MethodReturnsVoid`
`static int` `MethodVarargsArgumentNeedCast`
`static int` `MisplacedTypeAnnotations`
`static int` `MissingArgumentsForParameterizedMemberType`
`static int` `MissingDefaultCase`
`static int` `MissingEnclosingInstance`
`static int` `MissingEnclosingInstanceForConstructorCall` Inner types related problems
`static int` `MissingEnumConstantCase`
`static int` `MissingEnumConstantCaseDespiteDefault`
`static int` `MissingEnumDefaultCase`
`static int` `MissingNonNullByDefaultAnnotationOnPackage`
`static int` `MissingNonNullByDefaultAnnotationOnType`
`static int` `MissingOverrideAnnotation`
`static int` `MissingOverrideAnnotationForInterfaceMethodImplementation`
`static int` `MissingRequiresTransitiveForTypeInAPI`
`static int` `MissingReturnType`
`static int` `MissingSemiColon`
`static int` `MissingSerialVersion`
`static int` `MissingSynchronizedModifierInInheritedMethod`
`static int` `MissingTypeInConstructor`
`static int` `MissingTypeInLambda`
`static int` `MissingTypeInMethod`
`static int` `MissingValueForAnnotationMember`
`static int` `ModuleRelated`
`static int` `MultiCatchNotBelow17`
`static int` `MultipleFunctionalInterfaces` Deprecated. This problem is no longer reported; number Of functional interface is not an issue, number of abstract methods is.
`static int` `MustDefineEitherDimensionExpressionsOrInitializer`
`static int` `MustSpecifyPackage` Deprecated. - problem is no longer generated
`static int` `NativeMethodsCannotBeStrictfp`
`static int` `NeedToEmulateConstructorAccess`
`static int` `NeedToEmulateFieldReadAccess`
`static int` `NeedToEmulateFieldWriteAccess`
`static int` `NeedToEmulateMethodAccess`
`static int` `NestedServiceImpl`
`static int` `NoAdditionalBoundAfterTypeVariable`
`static int` `NoFieldOnBaseType`
`static int` `NoGenericLambda`
`static int` `NoImplicitStringConversionForCharArrayExpression`
`static int` `NoMessageSendOnArrayType`
`static int` `NoMessageSendOnBaseType`
`static int` `NonBlankFinalLocalAssignment`
`static int` `NonConstantExpression`
`static int` `NonDenotableTypeArgumentForAnonymousDiamond`
`static int` `NonExternalizedStringLiteral`
`static int` `NonGenericConstructor`
`static int` `NonGenericMethod`
`static int` `NonGenericType`
`static int` `NonNullDefaultDetailIsNotEvaluated`
`static int` `NonNullExpressionComparisonYieldsFalse`
`static int` `NonNullLocalVariableComparisonYieldsFalse`
`static int` `NonNullMessageSendComparisonYieldsFalse`
`static int` `NonNullMethodTypeVariableFromLegacyMethod`
`static int` `NonNullSpecdFieldComparisonYieldsFalse`
`static int` `NonNullTypeVariableFromLegacyMethod`
`static int` `NonPublicTypeInAPI`
`static int` `NonStaticAccessToStaticField`
`static int` `NonStaticAccessToStaticMethod`
`static int` `NonStaticContextForEnumMemberType`
`static int` `NonStaticFieldFromStaticInvocation`
`static int` `NonStaticOrAlienTypeReceiver`
`static int` `NonStaticTypeFromStaticInvocation`
`static int` `NoSuperInInterfaceContext`
`static int` `NotAccessibleConstructor`
`static int` `NotAccessibleField`
`static int` `NotAccessibleMethod`
`static int` `NotAccessiblePackage`
`static int` `NotAccessibleType`
`static int` `NotAnnotationType`
`static int` `NotExportedTypeInAPI`
`static int` `NotVisibleConstructor`
`static int` `NotVisibleConstructorInDefaultConstructor`
`static int` `NotVisibleConstructorInImplicitConstructorCall`
`static int` `NotVisibleField`
`static int` `NotVisibleMethod`
`static int` `NotVisibleType`
`static int` `NullableFieldReference`
`static int` `NullAnnotationAtQualifyingType`
`static int` `NullAnnotationUnsupportedLocation`
`static int` `NullAnnotationUnsupportedLocationAtType`
`static int` `NullExpressionReference`
`static int` `NullityMismatchAgainstFreeTypeVariable`
`static int` `NullityMismatchingTypeAnnotation`
`static int` `NullityMismatchingTypeAnnotationSuperHint`
`static int` `NullityMismatchTypeArgument`
`static int` `NullityUncheckedTypeAnnotationDetail`
`static int` `NullityUncheckedTypeAnnotationDetailSuperHint`
`static int` `NullLocalVariableComparisonYieldsFalse`
`static int` `NullLocalVariableInstanceofYieldsFalse`
`static int` `NullLocalVariableReference`
`static int` `NullNotCompatibleToFreeTypeVariable`
`static int` `NullSourceString`
`static int` `NullUnboxing`
`static int` `NumericValueOutOfRange`
`static int` `ObjectCannotBeGeneric`
`static int` `ObjectCannotHaveSuperTypes`
`static int` `ObjectHasNoSuperclass` General type related problems
`static int` `ObjectMustBeClass`
`static int` `OuterLocalMustBeEffectivelyFinal`
`static int` `OuterLocalMustBeFinal`
`static int` `OverridingDeprecatedMethod`
`static int` `OverridingMethodWithoutSuperInvocation`
`static int` `OverridingNonVisibleMethod`
`static int` `OverridingTerminallyDeprecatedMethod`
`static int` `PackageCollidesWithType`
`static int` `PackageDoesNotExistOrIsEmpty`
`static int` `PackageIsNotExpectedPackage`
`static int` `ParameterAssignment`
`static int` `ParameterizedConstructorArgumentTypeMismatch`
`static int` `ParameterizedMethodArgumentTypeMismatch`
`static int` `ParameterLackingNonNullAnnotation`
`static int` `ParameterLackingNullableAnnotation`
`static int` `ParameterMismatch`
`static int` `ParsingError`
`static int` `ParsingErrorDeleteToken`
`static int` `ParsingErrorDeleteTokens`
`static int` `ParsingErrorInsertToComplete`
`static int` `ParsingErrorInsertToCompletePhrase`
`static int` `ParsingErrorInsertToCompleteScope`
`static int` `ParsingErrorInsertTokenAfter`
`static int` `ParsingErrorInsertTokenBefore`
`static int` `ParsingErrorInvalidToken`
`static int` `ParsingErrorMergeTokens`
`static int` `ParsingErrorMisplacedConstruct`
`static int` `ParsingErrorNoSuggestion`
`static int` `ParsingErrorNoSuggestionForTokens`
`static int` `ParsingErrorOnKeyword`
`static int` `ParsingErrorOnKeywordNoSuggestion`
`static int` `ParsingErrorReplaceTokens`
`static int` `ParsingErrorUnexpectedEOF`
`static int` `PolymorphicMethodNotBelow17`
`static int` `PossibleAccidentalBooleanAssignment`
`static int` `PotentialHeapPollutionFromVararg`
`static int` `PotentiallyUnclosedCloseable`
`static int` `PotentiallyUnclosedCloseableAtExit`
`static int` `PotentialNullExpressionReference`
`static int` `PotentialNullLocalVariableReference`
`static int` `PotentialNullMessageSendReference`
`static int` `PotentialNullUnboxing`
`static int` `ProblemNotAnalysed`
`static int` `ProviderMethodOrConstructorRequiredForServiceImpl`
`static int` `PublicClassMustMatchFileName`
`static int` `RawMemberTypeCannotBeParameterized`
`static int` `RawTypeReference`
`static int` `RecursiveConstructorInvocation`
`static int` `RedefinedArgument`
`static int` `RedefinedLocal`
`static int` `RedundantLocalVariableNullAssignment`
`static int` `RedundantNullAnnotation`
`static int` `RedundantNullCheckAgainstNonNullType`
`static int` `RedundantNullCheckOnField`
`static int` `RedundantNullCheckOnNonNullExpression`
`static int` `RedundantNullCheckOnNonNullLocalVariable`
`static int` `RedundantNullCheckOnNonNullMessageSend`
`static int` `RedundantNullCheckOnNonNullSpecdField`
`static int` `RedundantNullCheckOnNullLocalVariable`
`static int` `RedundantNullCheckOnSpecdNonNullLocalVariable`
`static int` `RedundantNullDefaultAnnotation`
`static int` `RedundantNullDefaultAnnotationField`
`static int` `RedundantNullDefaultAnnotationLocal`
`static int` `RedundantNullDefaultAnnotationMethod`
`static int` `RedundantNullDefaultAnnotationPackage`
`static int` `RedundantNullDefaultAnnotationType`
`static int` `RedundantSpecificationOfTypeArguments`
`static int` `RedundantSuperinterface`
`static int` `ReferenceExpressionParameterNullityMismatch`
`static int` `ReferenceExpressionParameterNullityUnchecked`
`static int` `ReferenceExpressionReturnNullRedef`
`static int` `ReferenceExpressionReturnNullRedefUnchecked`
`static int` `ReferenceToForwardField`
`static int` `ReferenceToForwardTypeVariable`
`static int` `RepeatableAnnotationTypeIsDocumented`
`static int` `RepeatableAnnotationTypeIsInherited`
`static int` `RepeatableAnnotationTypeTargetMismatch`
`static int` `RepeatableAnnotationWithRepeatingContainerAnnotation`
`static int` `RepeatedAnnotationWithContainerAnnotation`
`static int` `RequiredNonNullButProvidedFreeTypeVariable`
`static int` `RequiredNonNullButProvidedNull`
`static int` `RequiredNonNullButProvidedPotentialNull`
`static int` `RequiredNonNullButProvidedSpecdNullable`
`static int` `RequiredNonNullButProvidedUnknown`
`static int` `ResourceHasToImplementAutoCloseable`
`static int` `ReturnTypeAmbiguous` Deprecated. - problem is no longer generated, use `AmbiguousType` instead
`static int` `ReturnTypeCannotBeVoidArray` Deprecated. - problem is no longer generated, use `CannotAllocateVoidArray` instead
`static int` `ReturnTypeInheritedNameHidesEnclosingName` Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static int` `ReturnTypeInternalNameProvided` Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead
`static int` `ReturnTypeMismatch`
`static int` `ReturnTypeNotFound` Deprecated. - problem is no longer generated, use `UndefinedType` instead
`static int` `ReturnTypeNotVisible` Deprecated. - problem is no longer generated, use `NotVisibleType` instead
`static int` `SafeVarargsOnFixedArityMethod`
`static int` `SafeVarargsOnNonFinalInstanceMethod`
`static int` `ServiceImplDefaultConstructorNotPublic`
`static int` `ServiceImplNotDefinedByModule`
`static int` `ShouldImplementHashcode`
`static int` `ShouldReturnValue`
`static int` `ShouldReturnValueHintMissingDefault`
`static int` `SpecdNonNullLocalVariableComparisonYieldsFalse`
`static int` `StaticInheritedMethodConflicts`
`static int` `StaticInterfaceMethodNotBelow18`
`static int` `StaticMemberOfParameterizedType`
`static int` `StaticMethodRequested`
`static int` `StaticMethodShouldBeAccessedStatically`
`static int` `StringConstantIsExceedingUtf8Limit`
`static int` `SuperAccessCannotBypassDirectSuper`
`static int` `SuperCallCannotBypassOverride`
`static int` `SuperclassAmbiguous` Deprecated. - problem is no longer generated, use `AmbiguousType` instead
`static int` `SuperclassInheritedNameHidesEnclosingName` Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead
`static int` `SuperclassInternalNameProvided` Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead
`static int` `SuperclassMustBeAClass`
`static int` `SuperclassNotFound` Deprecated. - problem is no longer generated, use `UndefinedType` instead
`static int` `SuperclassNotVisible` Deprecated. - problem is no longer generated, use `NotVisibleType` instead
`static int` `SuperfluousSemicolon`
`static int` `SuperInterfaceMustBeAnInterface`
`static int` `SuperInterfacesCollide`
`static int` `SuperTypeUsingWildcard`
`static int` `SwitchOnEnumNotBelow15`
`static int` `SwitchOnStringsNotBelow17`
`static int` `Syntax`
`static int` `TargetTypeNotAFunctionalInterface`
`static int` `Task`
`static int` `ThisInStaticContext`
`static int` `ThisSuperDuringConstructorInvocation`
`static int` `ToleratedMisplacedTypeAnnotations`
`static int` `TooManyArgumentSlots`
`static int` `TooManyArrayDimensions`
`static int` `TooManyBytesForStringConstant`
`static int` `TooManyConstantsInConstantPool`
`static int` `TooManyFields`
`static int` `TooManyLocalVariableSlots`
`static int` `TooManyMethods`
`static int` `TooManyParametersForSyntheticMethod`
`static int` `TooManySyntheticArgumentSlots`
`static int` `TypeAnnotationAtQualifiedName`
`static int` `TypeArgumentMismatch`
`static int` `TypeArgumentsForRawGenericConstructor`
`static int` `TypeArgumentsForRawGenericMethod`
`static int` `TypeCollidesWithPackage`
`static int` `TypeHidingType`
`static int` `TypeHidingTypeParameterFromMethod`
`static int` `TypeHidingTypeParameterFromType`
`static int` `TypeMismatch`
`static int` `TypeMissingDeprecatedAnnotation`
`static int` `TypeParameterHidingType`
`static int` `TypeRelated` Problem Categories The high bits of a problem ID contains information about the category of a problem.
`static int` `UnboxingConversion`
`static int` `UncheckedAccessOfValueOfFreeTypeVariable`
`static int` `Unclassified` ID reserved for referencing an internal error inside the JavaCore implementation which may be surfaced as a problem associated with the compilation unit which caused it to occur.
`static int` `UnclosedCloseable`
`static int` `UnclosedCloseableAtExit`
`static int` `UndefinedAnnotationMember`
`static int` `UndefinedConstructor`
`static int` `UndefinedConstructorInDefaultConstructor`
`static int` `UndefinedConstructorInImplicitConstructorCall`
`static int` `UndefinedField`
`static int` `UndefinedLabel`
`static int` `UndefinedMethod`
`static int` `UndefinedModule`
`static int` `UndefinedName`
`static int` `UndefinedType`
`static int` `UndefinedTypeVariable`
`static int` `UnderscoresInLiteralsNotBelow17`
`static int` `UndocumentedEmptyBlock`
`static int` `UnexpectedStaticModifierForField`
`static int` `UnexpectedStaticModifierForMethod`
`static int` `UnhandledException`
`static int` `UnhandledExceptionInDefaultConstructor`
`static int` `UnhandledExceptionInImplicitConstructorCall`
`static int` `UnhandledExceptionOnAutoClose`
`static int` `UnhandledWarningToken`
`static int` `UninitializedBlankFinalField`
`static int` `UninitializedBlankFinalFieldHintMissingDefault`
`static int` `UninitializedFreeTypeVariableField`
`static int` `UninitializedFreeTypeVariableFieldHintMissingDefault`
`static int` `UninitializedLocalVariable`
`static int` `UninitializedLocalVariableHintMissingDefault`
`static int` `UninitializedNonNullField`
`static int` `UninitializedNonNullFieldHintMissingDefault`
`static int` `UninternedIdentityComparison`
`static int` `UnlikelyCollectionMethodArgumentType`
`static int` `UnlikelyEqualsArgumentType`
`static int` `UnmatchedBracket`
`static int` `UnnamedPackageInNamedModule`
`static int` `UnnecessaryArgumentCast` Deprecated. - no longer generated, use `UnnecessaryCast` instead
`static int` `UnnecessaryCast`
`static int` `UnnecessaryElse`
`static int` `UnnecessaryInstanceof`
`static int` `UnnecessaryNLSTag`
`static int` `UnqualifiedFieldAccess`
`static int` `UnreachableCatch`
`static int` `UnresolvedVariable`
`static int` `UnsafeElementTypeConversion`
`static int` `UnsafeGenericArrayForVarargs`
`static int` `UnsafeGenericCast`
`static int` `UnsafeNullnessCast`
`static int` `UnsafeRawConstructorInvocation`
`static int` `UnsafeRawFieldAssignment`
`static int` `UnsafeRawGenericConstructorInvocation`
`static int` `UnsafeRawGenericMethodInvocation`
`static int` `UnsafeRawMethodInvocation`
`static int` `UnsafeReturnTypeOverride`
`static int` `UnsafeTypeConversion`
`static int` `UnterminatedComment`
`static int` `UnterminatedString`
`static int` `UnusedConstructorDeclaredThrownException`
`static int` `UnusedImport`
`static int` `UnusedLabel`
`static int` `UnusedMethodDeclaredThrownException`
`static int` `UnusedObjectAllocation`
`static int` `UnusedPrivateConstructor`
`static int` `UnusedPrivateField`
`static int` `UnusedPrivateMethod`
`static int` `UnusedPrivateType`
`static int` `UnusedTypeArgumentsForConstructorInvocation`
`static int` `UnusedTypeArgumentsForMethodInvocation`
`static int` `UnusedTypeParameter`
`static int` `UnusedWarningToken`
`static int` `UseAssertAsAnIdentifier`
`static int` `UseEnumAsAnIdentifier`
`static int` `UsingDeprecatedConstructor`
`static int` `UsingDeprecatedField`
`static int` `UsingDeprecatedMethod`
`static int` `UsingDeprecatedType`
`static int` `UsingTerminallyDeprecatedConstructor`
`static int` `UsingTerminallyDeprecatedField`
`static int` `UsingTerminallyDeprecatedMethod`
`static int` `UsingTerminallyDeprecatedType`
`static int` `VarargsConflict`
`static int` `VarargsElementTypeNotVisible`
`static int` `VarargsElementTypeNotVisibleForConstructor`
`static int` `VariableTypeCannotBeVoid`
`static int` `VariableTypeCannotBeVoidArray` Deprecated. - problem is no longer generated, use `CannotAllocateVoidArray` instead
`static int` `VoidMethodReturnsValue`
`static int` `WildcardConstructorInvocation`
`static int` `WildcardFieldAssignment`
`static int` `WildcardMethodInvocation`

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getArguments()` Answer back the original arguments recorded into the problem.
`int` `getID()` Returns the problem id
`String` `getMessage()` Answer a localized, human-readable message string which describes the problem.
`char[]` `getOriginatingFileName()` Answer the file name in which the problem was found.
`int` `getSourceEnd()` Answer the end position of the problem (inclusive), or -1 if unknown.
`int` `getSourceLineNumber()` Answer the line number in source where the problem begins.
`int` `getSourceStart()` Answer the start position of the problem (inclusive), or -1 if unknown.
`boolean` `isError()` Returns whether the severity of this problem is 'Error'.
`boolean` `isInfo()` Returns whether the severity of this problem is 'Info'.
`boolean` `isWarning()` Returns whether the severity of this problem is 'Warning'.
`void` `setSourceEnd(int sourceEnd)` Set the end position of the problem (inclusive), or -1 if unknown.
`void` `setSourceLineNumber(int lineNumber)` Set the line number in source where the problem begins.
`void` `setSourceStart(int sourceStart)` Set the start position of the problem (inclusive), or -1 if unknown.

### Field Detail

#### TypeRelated

    static final int TypeRelated

Problem Categories The high bits of a problem ID contains information about the category of a problem. For example, (problemID & TypeRelated) != 0, indicates that this problem is type related. A problem category can help to implement custom problem filters. Indeed, when numerous problems are listed, focusing on import related problems first might be relevant. When a problem is tagged as Internal, it means that no change other than a local source code change can fix the corresponding problem. A type related problem could be addressed by changing the type involved in it.

See Also:
  Constant Field Values

#### FieldRelated

    static final int FieldRelated

See Also:
  Constant Field Values

#### MethodRelated

    static final int MethodRelated

See Also:
  Constant Field Values

#### ConstructorRelated

    static final int ConstructorRelated

See Also:
  Constant Field Values

#### ImportRelated

    static final int ImportRelated

See Also:
  Constant Field Values

#### Internal

    static final int Internal

See Also:
  Constant Field Values

#### Syntax

    static final int Syntax

See Also:
  Constant Field Values

#### Javadoc

    static final int Javadoc

Since:
  3.0
See Also:
  Constant Field Values

#### ModuleRelated

    static final int ModuleRelated

Since:
  3.14
See Also:
  Constant Field Values

#### IgnoreCategoriesMask

    static final int IgnoreCategoriesMask

Mask to use in order to filter out the category portion of the problem ID.

See Also:
  Constant Field Values

#### Unclassified

    static final int Unclassified

ID reserved for referencing an internal error inside the JavaCore implementation which may be surfaced as a problem associated with the compilation unit which caused it to occur.

See Also:
  Constant Field Values

#### ObjectHasNoSuperclass

    static final int ObjectHasNoSuperclass

General type related problems

See Also:
  Constant Field Values

#### UndefinedType

    static final int UndefinedType

See Also:
  Constant Field Values

#### NotVisibleType

    static final int NotVisibleType

See Also:
  Constant Field Values

#### AmbiguousType

    static final int AmbiguousType

See Also:
  Constant Field Values

#### UsingDeprecatedType

    static final int UsingDeprecatedType

See Also:
  Constant Field Values

#### InternalTypeNameProvided

    static final int InternalTypeNameProvided

See Also:
  Constant Field Values

#### UnusedPrivateType

    static final int UnusedPrivateType

Since:
  2.1
See Also:
  Constant Field Values

#### IncompatibleTypesInEqualityOperator

    static final int IncompatibleTypesInEqualityOperator

See Also:
  Constant Field Values

#### IncompatibleTypesInConditionalOperator

    static final int IncompatibleTypesInConditionalOperator

See Also:
  Constant Field Values

#### TypeMismatch

    static final int TypeMismatch

See Also:
  Constant Field Values

#### IndirectAccessToStaticType

    static final int IndirectAccessToStaticType

Since:
  3.0
See Also:
  Constant Field Values

#### ReturnTypeMismatch

    static final int ReturnTypeMismatch

Since:
  3.10
See Also:
  Constant Field Values

#### MissingEnclosingInstanceForConstructorCall

    static final int MissingEnclosingInstanceForConstructorCall

Inner types related problems

See Also:
  Constant Field Values

#### MissingEnclosingInstance

    static final int MissingEnclosingInstance

See Also:
  Constant Field Values

#### IncorrectEnclosingInstanceReference

    static final int IncorrectEnclosingInstanceReference

See Also:
  Constant Field Values

#### IllegalEnclosingInstanceSpecification

    static final int IllegalEnclosingInstanceSpecification

See Also:
  Constant Field Values

#### CannotDefineStaticInitializerInLocalType

    static final int CannotDefineStaticInitializerInLocalType

See Also:
  Constant Field Values

#### OuterLocalMustBeFinal

    static final int OuterLocalMustBeFinal

See Also:
  Constant Field Values

#### CannotDefineInterfaceInLocalType

    static final int CannotDefineInterfaceInLocalType

See Also:
  Constant Field Values

#### IllegalPrimitiveOrArrayTypeForEnclosingInstance

    static final int IllegalPrimitiveOrArrayTypeForEnclosingInstance

See Also:
  Constant Field Values

#### EnclosingInstanceInConstructorCall

    static final int EnclosingInstanceInConstructorCall

Since:
  2.1
See Also:
  Constant Field Values

#### AnonymousClassCannotExtendFinalClass

    static final int AnonymousClassCannotExtendFinalClass

See Also:
  Constant Field Values

#### CannotDefineAnnotationInLocalType

    static final int CannotDefineAnnotationInLocalType

Since:
  3.1
See Also:
  Constant Field Values

#### CannotDefineEnumInLocalType

    static final int CannotDefineEnumInLocalType

Since:
  3.1
See Also:
  Constant Field Values

#### NonStaticContextForEnumMemberType

    static final int NonStaticContextForEnumMemberType

Since:
  3.1
See Also:
  Constant Field Values

#### TypeHidingType

    static final int TypeHidingType

Since:
  3.3
See Also:
  Constant Field Values

#### NotAnnotationType

    static final int NotAnnotationType

Since:
  3.11
See Also:
  Constant Field Values

#### UndefinedName

    static final int UndefinedName

See Also:
  Constant Field Values

#### UninitializedLocalVariable

    static final int UninitializedLocalVariable

See Also:
  Constant Field Values

#### VariableTypeCannotBeVoid

    static final int VariableTypeCannotBeVoid

See Also:
  Constant Field Values

#### VariableTypeCannotBeVoidArray

    static final int VariableTypeCannotBeVoidArray

Deprecated. - problem is no longer generated, use `CannotAllocateVoidArray` instead

See Also:
  Constant Field Values

#### CannotAllocateVoidArray

    static final int CannotAllocateVoidArray

See Also:
  Constant Field Values

#### RedefinedLocal

    static final int RedefinedLocal

See Also:
  Constant Field Values

#### RedefinedArgument

    static final int RedefinedArgument

See Also:
  Constant Field Values

#### DuplicateFinalLocalInitialization

    static final int DuplicateFinalLocalInitialization

See Also:
  Constant Field Values

#### NonBlankFinalLocalAssignment

    static final int NonBlankFinalLocalAssignment

Since:
  2.1
See Also:
  Constant Field Values

#### ParameterAssignment

    static final int ParameterAssignment

Since:
  3.2
See Also:
  Constant Field Values

#### FinalOuterLocalAssignment

    static final int FinalOuterLocalAssignment

See Also:
  Constant Field Values

#### LocalVariableIsNeverUsed

    static final int LocalVariableIsNeverUsed

See Also:
  Constant Field Values

#### ArgumentIsNeverUsed

    static final int ArgumentIsNeverUsed

See Also:
  Constant Field Values

#### BytecodeExceeds64KLimit

    static final int BytecodeExceeds64KLimit

See Also:
  Constant Field Values

#### BytecodeExceeds64KLimitForClinit

    static final int BytecodeExceeds64KLimitForClinit

See Also:
  Constant Field Values

#### TooManyArgumentSlots

    static final int TooManyArgumentSlots

See Also:
  Constant Field Values

#### TooManyLocalVariableSlots

    static final int TooManyLocalVariableSlots

See Also:
  Constant Field Values

#### TooManySyntheticArgumentSlots

    static final int TooManySyntheticArgumentSlots

Since:
  2.1
See Also:
  Constant Field Values

#### TooManyArrayDimensions

    static final int TooManyArrayDimensions

Since:
  2.1
See Also:
  Constant Field Values

#### BytecodeExceeds64KLimitForConstructor

    static final int BytecodeExceeds64KLimitForConstructor

Since:
  2.1
See Also:
  Constant Field Values

#### UndefinedField

    static final int UndefinedField

See Also:
  Constant Field Values

#### NotVisibleField

    static final int NotVisibleField

See Also:
  Constant Field Values

#### AmbiguousField

    static final int AmbiguousField

See Also:
  Constant Field Values

#### UsingDeprecatedField

    static final int UsingDeprecatedField

See Also:
  Constant Field Values

#### NonStaticFieldFromStaticInvocation

    static final int NonStaticFieldFromStaticInvocation

See Also:
  Constant Field Values

#### ReferenceToForwardField

    static final int ReferenceToForwardField

See Also:
  Constant Field Values

#### NonStaticAccessToStaticField

    static final int NonStaticAccessToStaticField

Since:
  2.1
See Also:
  Constant Field Values

#### UnusedPrivateField

    static final int UnusedPrivateField

Since:
  2.1
See Also:
  Constant Field Values

#### IndirectAccessToStaticField

    static final int IndirectAccessToStaticField

Since:
  3.0
See Also:
  Constant Field Values

#### UnqualifiedFieldAccess

    static final int UnqualifiedFieldAccess

Since:
  3.0
See Also:
  Constant Field Values

#### FinalFieldAssignment

    static final int FinalFieldAssignment

See Also:
  Constant Field Values

#### UninitializedBlankFinalField

    static final int UninitializedBlankFinalField

See Also:
  Constant Field Values

#### DuplicateBlankFinalFieldInitialization

    static final int DuplicateBlankFinalFieldInitialization

See Also:
  Constant Field Values

#### UnresolvedVariable

    static final int UnresolvedVariable

Since:
  3.6
See Also:
  Constant Field Values

#### NonStaticOrAlienTypeReceiver

    static final int NonStaticOrAlienTypeReceiver

Since:
  3.10
See Also:
  Constant Field Values

#### ExceptionParameterIsNeverUsed

    static final int ExceptionParameterIsNeverUsed

Since:
  3.11
See Also:
  Constant Field Values

#### LocalVariableHidingLocalVariable

    static final int LocalVariableHidingLocalVariable

Since:
  3.0
See Also:
  Constant Field Values

#### LocalVariableHidingField

    static final int LocalVariableHidingField

Since:
  3.0
See Also:
  Constant Field Values

#### FieldHidingLocalVariable

    static final int FieldHidingLocalVariable

Since:
  3.0
See Also:
  Constant Field Values

#### FieldHidingField

    static final int FieldHidingField

Since:
  3.0
See Also:
  Constant Field Values

#### ArgumentHidingLocalVariable

    static final int ArgumentHidingLocalVariable

Since:
  3.0
See Also:
  Constant Field Values

#### ArgumentHidingField

    static final int ArgumentHidingField

Since:
  3.0
See Also:
  Constant Field Values

#### MissingSerialVersion

    static final int MissingSerialVersion

Since:
  3.1
See Also:
  Constant Field Values

#### LambdaRedeclaresArgument

    static final int LambdaRedeclaresArgument

Since:
  3.10
See Also:
  Constant Field Values

#### LambdaRedeclaresLocal

    static final int LambdaRedeclaresLocal

Since:
  3.10
See Also:
  Constant Field Values

#### LambdaDescriptorMentionsUnmentionable

    static final int LambdaDescriptorMentionsUnmentionable

Since:
  3.10
See Also:
  Constant Field Values

#### UndefinedMethod

    static final int UndefinedMethod

See Also:
  Constant Field Values

#### NotVisibleMethod

    static final int NotVisibleMethod

See Also:
  Constant Field Values

#### AmbiguousMethod

    static final int AmbiguousMethod

See Also:
  Constant Field Values

#### UsingDeprecatedMethod

    static final int UsingDeprecatedMethod

See Also:
  Constant Field Values

#### DirectInvocationOfAbstractMethod

    static final int DirectInvocationOfAbstractMethod

See Also:
  Constant Field Values

#### VoidMethodReturnsValue

    static final int VoidMethodReturnsValue

See Also:
  Constant Field Values

#### MethodReturnsVoid

    static final int MethodReturnsVoid

See Also:
  Constant Field Values

#### MethodRequiresBody

    static final int MethodRequiresBody

See Also:
  Constant Field Values

#### ShouldReturnValue

    static final int ShouldReturnValue

See Also:
  Constant Field Values

#### MethodButWithConstructorName

    static final int MethodButWithConstructorName

See Also:
  Constant Field Values

#### MissingReturnType

    static final int MissingReturnType

See Also:
  Constant Field Values

#### BodyForNativeMethod

    static final int BodyForNativeMethod

See Also:
  Constant Field Values

#### BodyForAbstractMethod

    static final int BodyForAbstractMethod

See Also:
  Constant Field Values

#### NoMessageSendOnBaseType

    static final int NoMessageSendOnBaseType

See Also:
  Constant Field Values

#### ParameterMismatch

    static final int ParameterMismatch

See Also:
  Constant Field Values

#### NoMessageSendOnArrayType

    static final int NoMessageSendOnArrayType

See Also:
  Constant Field Values

#### NonStaticAccessToStaticMethod

    static final int NonStaticAccessToStaticMethod

Since:
  2.1
See Also:
  Constant Field Values

#### UnusedPrivateMethod

    static final int UnusedPrivateMethod

Since:
  2.1
See Also:
  Constant Field Values

#### IndirectAccessToStaticMethod

    static final int IndirectAccessToStaticMethod

Since:
  3.0
See Also:
  Constant Field Values

#### MissingTypeInMethod

    static final int MissingTypeInMethod

Since:
  3.4
See Also:
  Constant Field Values

#### MethodCanBeStatic

    static final int MethodCanBeStatic

Since:
  3.7
See Also:
  Constant Field Values

#### MethodCanBePotentiallyStatic

    static final int MethodCanBePotentiallyStatic

Since:
  3.7
See Also:
  Constant Field Values

#### MethodReferenceSwingsBothWays

    static final int MethodReferenceSwingsBothWays

Since:
  3.10
See Also:
  Constant Field Values

#### StaticMethodShouldBeAccessedStatically

    static final int StaticMethodShouldBeAccessedStatically

Since:
  3.10
See Also:
  Constant Field Values

#### InvalidArrayConstructorReference

    static final int InvalidArrayConstructorReference

Since:
  3.10
See Also:
  Constant Field Values

#### ConstructedArrayIncompatible

    static final int ConstructedArrayIncompatible

Since:
  3.10
See Also:
  Constant Field Values

#### DanglingReference

    static final int DanglingReference

Since:
  3.10
See Also:
  Constant Field Values

#### IncompatibleMethodReference

    static final int IncompatibleMethodReference

Since:
  3.10
See Also:
  Constant Field Values

#### MissingTypeInConstructor

    static final int MissingTypeInConstructor

Since:
  3.4
See Also:
  Constant Field Values

#### UndefinedConstructor

    static final int UndefinedConstructor

See Also:
  Constant Field Values

#### NotVisibleConstructor

    static final int NotVisibleConstructor

See Also:
  Constant Field Values

#### AmbiguousConstructor

    static final int AmbiguousConstructor

See Also:
  Constant Field Values

#### UsingDeprecatedConstructor

    static final int UsingDeprecatedConstructor

See Also:
  Constant Field Values

#### UnusedPrivateConstructor

    static final int UnusedPrivateConstructor

Since:
  2.1
See Also:
  Constant Field Values

#### InstanceFieldDuringConstructorInvocation

    static final int InstanceFieldDuringConstructorInvocation

See Also:
  Constant Field Values

#### InstanceMethodDuringConstructorInvocation

    static final int InstanceMethodDuringConstructorInvocation

See Also:
  Constant Field Values

#### RecursiveConstructorInvocation

    static final int RecursiveConstructorInvocation

See Also:
  Constant Field Values

#### ThisSuperDuringConstructorInvocation

    static final int ThisSuperDuringConstructorInvocation

See Also:
  Constant Field Values

#### InvalidExplicitConstructorCall

    static final int InvalidExplicitConstructorCall

Since:
  3.0
See Also:
  Constant Field Values

#### UndefinedConstructorInDefaultConstructor

    static final int UndefinedConstructorInDefaultConstructor

See Also:
  Constant Field Values

#### NotVisibleConstructorInDefaultConstructor

    static final int NotVisibleConstructorInDefaultConstructor

See Also:
  Constant Field Values

#### AmbiguousConstructorInDefaultConstructor

    static final int AmbiguousConstructorInDefaultConstructor

See Also:
  Constant Field Values

#### UndefinedConstructorInImplicitConstructorCall

    static final int UndefinedConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

#### NotVisibleConstructorInImplicitConstructorCall

    static final int NotVisibleConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

#### AmbiguousConstructorInImplicitConstructorCall

    static final int AmbiguousConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

#### UnhandledExceptionInDefaultConstructor

    static final int UnhandledExceptionInDefaultConstructor

See Also:
  Constant Field Values

#### UnhandledExceptionInImplicitConstructorCall

    static final int UnhandledExceptionInImplicitConstructorCall

See Also:
  Constant Field Values

#### UnusedObjectAllocation

    static final int UnusedObjectAllocation

Since:
  3.6
See Also:
  Constant Field Values

#### DeadCode

    static final int DeadCode

Since:
  3.5
See Also:
  Constant Field Values

#### ArrayReferenceRequired

    static final int ArrayReferenceRequired

See Also:
  Constant Field Values

#### NoImplicitStringConversionForCharArrayExpression

    static final int NoImplicitStringConversionForCharArrayExpression

See Also:
  Constant Field Values

#### StringConstantIsExceedingUtf8Limit

    static final int StringConstantIsExceedingUtf8Limit

See Also:
  Constant Field Values

#### NonConstantExpression

    static final int NonConstantExpression

See Also:
  Constant Field Values

#### NumericValueOutOfRange

    static final int NumericValueOutOfRange

See Also:
  Constant Field Values

#### IllegalCast

    static final int IllegalCast

See Also:
  Constant Field Values

#### InvalidClassInstantiation

    static final int InvalidClassInstantiation

See Also:
  Constant Field Values

#### CannotDefineDimensionExpressionsWithInit

    static final int CannotDefineDimensionExpressionsWithInit

See Also:
  Constant Field Values

#### MustDefineEitherDimensionExpressionsOrInitializer

    static final int MustDefineEitherDimensionExpressionsOrInitializer

See Also:
  Constant Field Values

#### InvalidOperator

    static final int InvalidOperator

See Also:
  Constant Field Values

#### CodeCannotBeReached

    static final int CodeCannotBeReached

See Also:
  Constant Field Values

#### CannotReturnInInitializer

    static final int CannotReturnInInitializer

See Also:
  Constant Field Values

#### InitializerMustCompleteNormally

    static final int InitializerMustCompleteNormally

See Also:
  Constant Field Values

#### InvalidVoidExpression

    static final int InvalidVoidExpression

See Also:
  Constant Field Values

#### MaskedCatch

    static final int MaskedCatch

See Also:
  Constant Field Values

#### DuplicateDefaultCase

    static final int DuplicateDefaultCase

See Also:
  Constant Field Values

#### UnreachableCatch

    static final int UnreachableCatch

See Also:
  Constant Field Values

#### UnhandledException

    static final int UnhandledException

See Also:
  Constant Field Values

#### IncorrectSwitchType

    static final int IncorrectSwitchType

See Also:
  Constant Field Values

#### DuplicateCase

    static final int DuplicateCase

See Also:
  Constant Field Values

#### DuplicateLabel

    static final int DuplicateLabel

See Also:
  Constant Field Values

#### InvalidBreak

    static final int InvalidBreak

See Also:
  Constant Field Values

#### InvalidContinue

    static final int InvalidContinue

See Also:
  Constant Field Values

#### UndefinedLabel

    static final int UndefinedLabel

See Also:
  Constant Field Values

#### InvalidTypeToSynchronized

    static final int InvalidTypeToSynchronized

See Also:
  Constant Field Values

#### InvalidNullToSynchronized

    static final int InvalidNullToSynchronized

See Also:
  Constant Field Values

#### CannotThrowNull

    static final int CannotThrowNull

See Also:
  Constant Field Values

#### AssignmentHasNoEffect

    static final int AssignmentHasNoEffect

Since:
  2.1
See Also:
  Constant Field Values

#### PossibleAccidentalBooleanAssignment

    static final int PossibleAccidentalBooleanAssignment

Since:
  3.0
See Also:
  Constant Field Values

#### SuperfluousSemicolon

    static final int SuperfluousSemicolon

Since:
  3.0
See Also:
  Constant Field Values

#### UnnecessaryCast

    static final int UnnecessaryCast

Since:
  3.0
See Also:
  Constant Field Values

#### UnnecessaryArgumentCast

    static final int UnnecessaryArgumentCast

Deprecated. - no longer generated, use `UnnecessaryCast` instead

Since:
  3.0
See Also:
  Constant Field Values

#### UnnecessaryInstanceof

    static final int UnnecessaryInstanceof

Since:
  3.0
See Also:
  Constant Field Values

#### FinallyMustCompleteNormally

    static final int FinallyMustCompleteNormally

Since:
  3.0
See Also:
  Constant Field Values

#### UnusedMethodDeclaredThrownException

    static final int UnusedMethodDeclaredThrownException

Since:
  3.0
See Also:
  Constant Field Values

#### UnusedConstructorDeclaredThrownException

    static final int UnusedConstructorDeclaredThrownException

Since:
  3.0
See Also:
  Constant Field Values

#### InvalidCatchBlockSequence

    static final int InvalidCatchBlockSequence

Since:
  3.0
See Also:
  Constant Field Values

#### EmptyControlFlowStatement

    static final int EmptyControlFlowStatement

Since:
  3.0
See Also:
  Constant Field Values

#### UnnecessaryElse

    static final int UnnecessaryElse

Since:
  3.0
See Also:
  Constant Field Values

#### NeedToEmulateFieldReadAccess

    static final int NeedToEmulateFieldReadAccess

See Also:
  Constant Field Values

#### NeedToEmulateFieldWriteAccess

    static final int NeedToEmulateFieldWriteAccess

See Also:
  Constant Field Values

#### NeedToEmulateMethodAccess

    static final int NeedToEmulateMethodAccess

See Also:
  Constant Field Values

#### NeedToEmulateConstructorAccess

    static final int NeedToEmulateConstructorAccess

See Also:
  Constant Field Values

#### FallthroughCase

    static final int FallthroughCase

Since:
  3.2
See Also:
  Constant Field Values

#### InheritedMethodHidesEnclosingName

    static final int InheritedMethodHidesEnclosingName

See Also:
  Constant Field Values

#### InheritedFieldHidesEnclosingName

    static final int InheritedFieldHidesEnclosingName

See Also:
  Constant Field Values

#### InheritedTypeHidesEnclosingName

    static final int InheritedTypeHidesEnclosingName

See Also:
  Constant Field Values

#### IllegalUsageOfQualifiedTypeReference

    static final int IllegalUsageOfQualifiedTypeReference

Since:
  3.1
See Also:
  Constant Field Values

#### UnusedLabel

    static final int UnusedLabel

Since:
  3.2
See Also:
  Constant Field Values

#### ThisInStaticContext

    static final int ThisInStaticContext

See Also:
  Constant Field Values

#### StaticMethodRequested

    static final int StaticMethodRequested

See Also:
  Constant Field Values

#### IllegalDimension

    static final int IllegalDimension

See Also:
  Constant Field Values

#### InvalidTypeExpression

    static final int InvalidTypeExpression

Deprecated. - problem is no longer generated

See Also:
  Constant Field Values

#### ParsingError

    static final int ParsingError

See Also:
  Constant Field Values

#### ParsingErrorNoSuggestion

    static final int ParsingErrorNoSuggestion

See Also:
  Constant Field Values

#### InvalidUnaryExpression

    static final int InvalidUnaryExpression

See Also:
  Constant Field Values

#### InterfaceCannotHaveConstructors

    static final int InterfaceCannotHaveConstructors

See Also:
  Constant Field Values

#### ArrayConstantsOnlyInArrayInitializers

    static final int ArrayConstantsOnlyInArrayInitializers

See Also:
  Constant Field Values

#### ParsingErrorOnKeyword

    static final int ParsingErrorOnKeyword

See Also:
  Constant Field Values

#### ParsingErrorOnKeywordNoSuggestion

    static final int ParsingErrorOnKeywordNoSuggestion

See Also:
  Constant Field Values

#### ComparingIdentical

    static final int ComparingIdentical

Since:
  3.5
See Also:
  Constant Field Values

#### UnmatchedBracket

    static final int UnmatchedBracket

See Also:
  Constant Field Values

#### NoFieldOnBaseType

    static final int NoFieldOnBaseType

See Also:
  Constant Field Values

#### InvalidExpressionAsStatement

    static final int InvalidExpressionAsStatement

See Also:
  Constant Field Values

#### ExpressionShouldBeAVariable

    static final int ExpressionShouldBeAVariable

Since:
  2.1
See Also:
  Constant Field Values

#### MissingSemiColon

    static final int MissingSemiColon

Since:
  2.1
See Also:
  Constant Field Values

#### InvalidParenthesizedExpression

    static final int InvalidParenthesizedExpression

Since:
  2.1
See Also:
  Constant Field Values

#### NoSuperInInterfaceContext

    static final int NoSuperInInterfaceContext

Since:
  3.10
See Also:
  Constant Field Values

#### ParsingErrorInsertTokenBefore

    static final int ParsingErrorInsertTokenBefore

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorInsertTokenAfter

    static final int ParsingErrorInsertTokenAfter

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorDeleteToken

    static final int ParsingErrorDeleteToken

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorDeleteTokens

    static final int ParsingErrorDeleteTokens

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorMergeTokens

    static final int ParsingErrorMergeTokens

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorInvalidToken

    static final int ParsingErrorInvalidToken

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorMisplacedConstruct

    static final int ParsingErrorMisplacedConstruct

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorReplaceTokens

    static final int ParsingErrorReplaceTokens

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorNoSuggestionForTokens

    static final int ParsingErrorNoSuggestionForTokens

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorUnexpectedEOF

    static final int ParsingErrorUnexpectedEOF

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorInsertToComplete

    static final int ParsingErrorInsertToComplete

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorInsertToCompleteScope

    static final int ParsingErrorInsertToCompleteScope

Since:
  3.0
See Also:
  Constant Field Values

#### ParsingErrorInsertToCompletePhrase

    static final int ParsingErrorInsertToCompletePhrase

Since:
  3.0
See Also:
  Constant Field Values

#### EndOfSource

    static final int EndOfSource

See Also:
  Constant Field Values

#### InvalidHexa

    static final int InvalidHexa

See Also:
  Constant Field Values

#### InvalidOctal

    static final int InvalidOctal

See Also:
  Constant Field Values

#### InvalidCharacterConstant

    static final int InvalidCharacterConstant

See Also:
  Constant Field Values

#### InvalidEscape

    static final int InvalidEscape

See Also:
  Constant Field Values

#### InvalidInput

    static final int InvalidInput

See Also:
  Constant Field Values

#### InvalidUnicodeEscape

    static final int InvalidUnicodeEscape

See Also:
  Constant Field Values

#### InvalidFloat

    static final int InvalidFloat

See Also:
  Constant Field Values

#### NullSourceString

    static final int NullSourceString

See Also:
  Constant Field Values

#### UnterminatedString

    static final int UnterminatedString

See Also:
  Constant Field Values

#### UnterminatedComment

    static final int UnterminatedComment

See Also:
  Constant Field Values

#### NonExternalizedStringLiteral

    static final int NonExternalizedStringLiteral

See Also:
  Constant Field Values

#### InvalidDigit

    static final int InvalidDigit

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidLowSurrogate

    static final int InvalidLowSurrogate

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidHighSurrogate

    static final int InvalidHighSurrogate

Since:
  3.1
See Also:
  Constant Field Values

#### UnnecessaryNLSTag

    static final int UnnecessaryNLSTag

Since:
  3.2
See Also:
  Constant Field Values

#### InvalidBinary

    static final int InvalidBinary

Since:
  3.7.1
See Also:
  Constant Field Values

#### BinaryLiteralNotBelow17

    static final int BinaryLiteralNotBelow17

Since:
  3.7.1
See Also:
  Constant Field Values

#### IllegalUnderscorePosition

    static final int IllegalUnderscorePosition

Since:
  3.7.1
See Also:
  Constant Field Values

#### UnderscoresInLiteralsNotBelow17

    static final int UnderscoresInLiteralsNotBelow17

Since:
  3.7.1
See Also:
  Constant Field Values

#### IllegalHexaLiteral

    static final int IllegalHexaLiteral

Since:
  3.7.1
See Also:
  Constant Field Values

#### MissingTypeInLambda

    static final int MissingTypeInLambda

Since:
  3.10
See Also:
  Constant Field Values

#### DiscouragedReference

    static final int DiscouragedReference

Since:
  3.1
See Also:
  Constant Field Values

#### InterfaceCannotHaveInitializers

    static final int InterfaceCannotHaveInitializers

See Also:
  Constant Field Values

#### DuplicateModifierForType

    static final int DuplicateModifierForType

See Also:
  Constant Field Values

#### IllegalModifierForClass

    static final int IllegalModifierForClass

See Also:
  Constant Field Values

#### IllegalModifierForInterface

    static final int IllegalModifierForInterface

See Also:
  Constant Field Values

#### IllegalModifierForMemberClass

    static final int IllegalModifierForMemberClass

See Also:
  Constant Field Values

#### IllegalModifierForMemberInterface

    static final int IllegalModifierForMemberInterface

See Also:
  Constant Field Values

#### IllegalModifierForLocalClass

    static final int IllegalModifierForLocalClass

See Also:
  Constant Field Values

#### ForbiddenReference

    static final int ForbiddenReference

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierCombinationFinalAbstractForClass

    static final int IllegalModifierCombinationFinalAbstractForClass

See Also:
  Constant Field Values

#### IllegalVisibilityModifierForInterfaceMemberType

    static final int IllegalVisibilityModifierForInterfaceMemberType

See Also:
  Constant Field Values

#### IllegalVisibilityModifierCombinationForMemberType

    static final int IllegalVisibilityModifierCombinationForMemberType

See Also:
  Constant Field Values

#### IllegalStaticModifierForMemberType

    static final int IllegalStaticModifierForMemberType

See Also:
  Constant Field Values

#### SuperclassMustBeAClass

    static final int SuperclassMustBeAClass

See Also:
  Constant Field Values

#### ClassExtendFinalClass

    static final int ClassExtendFinalClass

See Also:
  Constant Field Values

#### DuplicateSuperInterface

    static final int DuplicateSuperInterface

See Also:
  Constant Field Values

#### SuperInterfaceMustBeAnInterface

    static final int SuperInterfaceMustBeAnInterface

See Also:
  Constant Field Values

#### HierarchyCircularitySelfReference

    static final int HierarchyCircularitySelfReference

See Also:
  Constant Field Values

#### HierarchyCircularity

    static final int HierarchyCircularity

See Also:
  Constant Field Values

#### HidingEnclosingType

    static final int HidingEnclosingType

See Also:
  Constant Field Values

#### DuplicateNestedType

    static final int DuplicateNestedType

See Also:
  Constant Field Values

#### CannotThrowType

    static final int CannotThrowType

See Also:
  Constant Field Values

#### PackageCollidesWithType

    static final int PackageCollidesWithType

See Also:
  Constant Field Values

#### TypeCollidesWithPackage

    static final int TypeCollidesWithPackage

See Also:
  Constant Field Values

#### DuplicateTypes

    static final int DuplicateTypes

See Also:
  Constant Field Values

#### IsClassPathCorrect

    static final int IsClassPathCorrect

See Also:
  Constant Field Values

#### PublicClassMustMatchFileName

    static final int PublicClassMustMatchFileName

See Also:
  Constant Field Values

#### MustSpecifyPackage

    static final int MustSpecifyPackage

Deprecated. - problem is no longer generated

See Also:
  Constant Field Values

#### HierarchyHasProblems

    static final int HierarchyHasProblems

See Also:
  Constant Field Values

#### PackageIsNotExpectedPackage

    static final int PackageIsNotExpectedPackage

See Also:
  Constant Field Values

#### ObjectCannotHaveSuperTypes

    static final int ObjectCannotHaveSuperTypes

Since:
  2.1
See Also:
  Constant Field Values

#### ObjectMustBeClass

    static final int ObjectMustBeClass

Since:
  3.1
See Also:
  Constant Field Values

#### RedundantSuperinterface

    static final int RedundantSuperinterface

Since:
  3.4
See Also:
  Constant Field Values

#### ShouldImplementHashcode

    static final int ShouldImplementHashcode

Since:
  3.5
See Also:
  Constant Field Values

#### AbstractMethodsInConcreteClass

    static final int AbstractMethodsInConcreteClass

Since:
  3.5
See Also:
  Constant Field Values

#### SuperclassNotFound

    static final int SuperclassNotFound

Deprecated. - problem is no longer generated, use `UndefinedType` instead

See Also:
  Constant Field Values

#### SuperclassNotVisible

    static final int SuperclassNotVisible

Deprecated. - problem is no longer generated, use `NotVisibleType` instead

See Also:
  Constant Field Values

#### SuperclassAmbiguous

    static final int SuperclassAmbiguous

Deprecated. - problem is no longer generated, use `AmbiguousType` instead

See Also:
  Constant Field Values

#### SuperclassInternalNameProvided

    static final int SuperclassInternalNameProvided

Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  Constant Field Values

#### SuperclassInheritedNameHidesEnclosingName

    static final int SuperclassInheritedNameHidesEnclosingName

Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  Constant Field Values

#### InterfaceNotFound

    static final int InterfaceNotFound

Deprecated. - problem is no longer generated, use `UndefinedType` instead

See Also:
  Constant Field Values

#### InterfaceNotVisible

    static final int InterfaceNotVisible

Deprecated. - problem is no longer generated, use `NotVisibleType` instead

See Also:
  Constant Field Values

#### InterfaceAmbiguous

    static final int InterfaceAmbiguous

Deprecated. - problem is no longer generated, use `AmbiguousType` instead

See Also:
  Constant Field Values

#### InterfaceInternalNameProvided

    static final int InterfaceInternalNameProvided

Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  Constant Field Values

#### InterfaceInheritedNameHidesEnclosingName

    static final int InterfaceInheritedNameHidesEnclosingName

Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  Constant Field Values

#### DuplicateField

    static final int DuplicateField

See Also:
  Constant Field Values

#### DuplicateModifierForField

    static final int DuplicateModifierForField

See Also:
  Constant Field Values

#### IllegalModifierForField

    static final int IllegalModifierForField

See Also:
  Constant Field Values

#### IllegalModifierForInterfaceField

    static final int IllegalModifierForInterfaceField

See Also:
  Constant Field Values

#### IllegalVisibilityModifierCombinationForField

    static final int IllegalVisibilityModifierCombinationForField

See Also:
  Constant Field Values

#### IllegalModifierCombinationFinalVolatileForField

    static final int IllegalModifierCombinationFinalVolatileForField

See Also:
  Constant Field Values

#### UnexpectedStaticModifierForField

    static final int UnexpectedStaticModifierForField

See Also:
  Constant Field Values

#### FieldTypeNotFound

    static final int FieldTypeNotFound

Deprecated. - problem is no longer generated, use `UndefinedType` instead

See Also:
  Constant Field Values

#### FieldTypeNotVisible

    static final int FieldTypeNotVisible

Deprecated. - problem is no longer generated, use `NotVisibleType` instead

See Also:
  Constant Field Values

#### FieldTypeAmbiguous

    static final int FieldTypeAmbiguous

Deprecated. - problem is no longer generated, use `AmbiguousType` instead

See Also:
  Constant Field Values

#### FieldTypeInternalNameProvided

    static final int FieldTypeInternalNameProvided

Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  Constant Field Values

#### FieldTypeInheritedNameHidesEnclosingName

    static final int FieldTypeInheritedNameHidesEnclosingName

Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  Constant Field Values

#### DuplicateMethod

    static final int DuplicateMethod

See Also:
  Constant Field Values

#### IllegalModifierForArgument

    static final int IllegalModifierForArgument

See Also:
  Constant Field Values

#### DuplicateModifierForMethod

    static final int DuplicateModifierForMethod

See Also:
  Constant Field Values

#### IllegalModifierForMethod

    static final int IllegalModifierForMethod

See Also:
  Constant Field Values

#### IllegalModifierForInterfaceMethod

    static final int IllegalModifierForInterfaceMethod

See Also:
  Constant Field Values

#### IllegalVisibilityModifierCombinationForMethod

    static final int IllegalVisibilityModifierCombinationForMethod

See Also:
  Constant Field Values

#### UnexpectedStaticModifierForMethod

    static final int UnexpectedStaticModifierForMethod

See Also:
  Constant Field Values

#### IllegalAbstractModifierCombinationForMethod

    static final int IllegalAbstractModifierCombinationForMethod

See Also:
  Constant Field Values

#### AbstractMethodInAbstractClass

    static final int AbstractMethodInAbstractClass

See Also:
  Constant Field Values

#### ArgumentTypeCannotBeVoid

    static final int ArgumentTypeCannotBeVoid

See Also:
  Constant Field Values

#### ArgumentTypeCannotBeVoidArray

    static final int ArgumentTypeCannotBeVoidArray

Deprecated. - problem is no longer generated, use `CannotAllocateVoidArray` instead

See Also:
  Constant Field Values

#### ReturnTypeCannotBeVoidArray

    static final int ReturnTypeCannotBeVoidArray

Deprecated. - problem is no longer generated, use `CannotAllocateVoidArray` instead

See Also:
  Constant Field Values

#### NativeMethodsCannotBeStrictfp

    static final int NativeMethodsCannotBeStrictfp

See Also:
  Constant Field Values

#### DuplicateModifierForArgument

    static final int DuplicateModifierForArgument

See Also:
  Constant Field Values

#### IllegalModifierForConstructor

    static final int IllegalModifierForConstructor

Since:
  3.5
See Also:
  Constant Field Values

#### ArgumentTypeNotFound

    static final int ArgumentTypeNotFound

Deprecated. - problem is no longer generated, use `UndefinedType` instead

See Also:
  Constant Field Values

#### ArgumentTypeNotVisible

    static final int ArgumentTypeNotVisible

Deprecated. - problem is no longer generated, use `NotVisibleType` instead

See Also:
  Constant Field Values

#### ArgumentTypeAmbiguous

    static final int ArgumentTypeAmbiguous

Deprecated. - problem is no longer generated, use `AmbiguousType` instead

See Also:
  Constant Field Values

#### ArgumentTypeInternalNameProvided

    static final int ArgumentTypeInternalNameProvided

Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  Constant Field Values

#### ArgumentTypeInheritedNameHidesEnclosingName

    static final int ArgumentTypeInheritedNameHidesEnclosingName

Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  Constant Field Values

#### ExceptionTypeNotFound

    static final int ExceptionTypeNotFound

Deprecated. - problem is no longer generated, use `UndefinedType` instead

See Also:
  Constant Field Values

#### ExceptionTypeNotVisible

    static final int ExceptionTypeNotVisible

Deprecated. - problem is no longer generated, use `NotVisibleType` instead

See Also:
  Constant Field Values

#### ExceptionTypeAmbiguous

    static final int ExceptionTypeAmbiguous

Deprecated. - problem is no longer generated, use `AmbiguousType` instead

See Also:
  Constant Field Values

#### ExceptionTypeInternalNameProvided

    static final int ExceptionTypeInternalNameProvided

Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  Constant Field Values

#### ExceptionTypeInheritedNameHidesEnclosingName

    static final int ExceptionTypeInheritedNameHidesEnclosingName

Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  Constant Field Values

#### ReturnTypeNotFound

    static final int ReturnTypeNotFound

Deprecated. - problem is no longer generated, use `UndefinedType` instead

See Also:
  Constant Field Values

#### ReturnTypeNotVisible

    static final int ReturnTypeNotVisible

Deprecated. - problem is no longer generated, use `NotVisibleType` instead

See Also:
  Constant Field Values

#### ReturnTypeAmbiguous

    static final int ReturnTypeAmbiguous

Deprecated. - problem is no longer generated, use `AmbiguousType` instead

See Also:
  Constant Field Values

#### ReturnTypeInternalNameProvided

    static final int ReturnTypeInternalNameProvided

Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  Constant Field Values

#### ReturnTypeInheritedNameHidesEnclosingName

    static final int ReturnTypeInheritedNameHidesEnclosingName

Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  Constant Field Values

#### ConflictingImport

    static final int ConflictingImport

See Also:
  Constant Field Values

#### DuplicateImport

    static final int DuplicateImport

See Also:
  Constant Field Values

#### CannotImportPackage

    static final int CannotImportPackage

See Also:
  Constant Field Values

#### UnusedImport

    static final int UnusedImport

See Also:
  Constant Field Values

#### ImportNotFound

    static final int ImportNotFound

See Also:
  Constant Field Values

#### ImportNotVisible

    static final int ImportNotVisible

Deprecated. - problem is no longer generated, use `NotVisibleType` instead

See Also:
  Constant Field Values

#### ImportAmbiguous

    static final int ImportAmbiguous

Deprecated. - problem is no longer generated, use `AmbiguousType` instead

See Also:
  Constant Field Values

#### ImportInternalNameProvided

    static final int ImportInternalNameProvided

Deprecated. - problem is no longer generated, use `InternalTypeNameProvided` instead

See Also:
  Constant Field Values

#### ImportInheritedNameHidesEnclosingName

    static final int ImportInheritedNameHidesEnclosingName

Deprecated. - problem is no longer generated, use `InheritedTypeHidesEnclosingName` instead

See Also:
  Constant Field Values

#### InvalidTypeForStaticImport

    static final int InvalidTypeForStaticImport

Since:
  3.1
See Also:
  Constant Field Values

#### DuplicateModifierForVariable

    static final int DuplicateModifierForVariable

See Also:
  Constant Field Values

#### IllegalModifierForVariable

    static final int IllegalModifierForVariable

See Also:
  Constant Field Values

#### LocalVariableCannotBeNull

    static final int LocalVariableCannotBeNull

Deprecated. - problem is no longer generated, use `RedundantNullCheckOnNonNullLocalVariable` instead

See Also:
  Constant Field Values

#### LocalVariableCanOnlyBeNull

    static final int LocalVariableCanOnlyBeNull

Deprecated. - problem is no longer generated, use `NullLocalVariableReference`, `RedundantNullCheckOnNullLocalVariable` or `RedundantLocalVariableNullAssignment` instead

See Also:
  Constant Field Values

#### LocalVariableMayBeNull

    static final int LocalVariableMayBeNull

Deprecated. - problem is no longer generated, use `PotentialNullLocalVariableReference` instead

See Also:
  Constant Field Values

#### AbstractMethodMustBeImplemented

    static final int AbstractMethodMustBeImplemented

See Also:
  Constant Field Values

#### FinalMethodCannotBeOverridden

    static final int FinalMethodCannotBeOverridden

See Also:
  Constant Field Values

#### IncompatibleExceptionInThrowsClause

    static final int IncompatibleExceptionInThrowsClause

See Also:
  Constant Field Values

#### IncompatibleExceptionInInheritedMethodThrowsClause

    static final int IncompatibleExceptionInInheritedMethodThrowsClause

See Also:
  Constant Field Values

#### IncompatibleReturnType

    static final int IncompatibleReturnType

See Also:
  Constant Field Values

#### InheritedMethodReducesVisibility

    static final int InheritedMethodReducesVisibility

See Also:
  Constant Field Values

#### CannotOverrideAStaticMethodWithAnInstanceMethod

    static final int CannotOverrideAStaticMethodWithAnInstanceMethod

See Also:
  Constant Field Values

#### CannotHideAnInstanceMethodWithAStaticMethod

    static final int CannotHideAnInstanceMethodWithAStaticMethod

See Also:
  Constant Field Values

#### StaticInheritedMethodConflicts

    static final int StaticInheritedMethodConflicts

See Also:
  Constant Field Values

#### MethodReducesVisibility

    static final int MethodReducesVisibility

See Also:
  Constant Field Values

#### OverridingNonVisibleMethod

    static final int OverridingNonVisibleMethod

See Also:
  Constant Field Values

#### AbstractMethodCannotBeOverridden

    static final int AbstractMethodCannotBeOverridden

See Also:
  Constant Field Values

#### OverridingDeprecatedMethod

    static final int OverridingDeprecatedMethod

See Also:
  Constant Field Values

#### IncompatibleReturnTypeForNonInheritedInterfaceMethod

    static final int IncompatibleReturnTypeForNonInheritedInterfaceMethod

Since:
  2.1
See Also:
  Constant Field Values

#### IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod

    static final int IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod

Since:
  2.1
See Also:
  Constant Field Values

#### IllegalVararg

    static final int IllegalVararg

Since:
  3.1
See Also:
  Constant Field Values

#### OverridingMethodWithoutSuperInvocation

    static final int OverridingMethodWithoutSuperInvocation

Since:
  3.3
See Also:
  Constant Field Values

#### MissingSynchronizedModifierInInheritedMethod

    static final int MissingSynchronizedModifierInInheritedMethod

Since:
  3.5
See Also:
  Constant Field Values

#### AbstractMethodMustBeImplementedOverConcreteMethod

    static final int AbstractMethodMustBeImplementedOverConcreteMethod

Since:
  3.5
See Also:
  Constant Field Values

#### InheritedIncompatibleReturnType

    static final int InheritedIncompatibleReturnType

Since:
  3.5
See Also:
  Constant Field Values

#### CodeSnippetMissingClass

    static final int CodeSnippetMissingClass

See Also:
  Constant Field Values

#### CodeSnippetMissingMethod

    static final int CodeSnippetMissingMethod

See Also:
  Constant Field Values

#### CannotUseSuperInCodeSnippet

    static final int CannotUseSuperInCodeSnippet

See Also:
  Constant Field Values

#### TooManyConstantsInConstantPool

    static final int TooManyConstantsInConstantPool

See Also:
  Constant Field Values

#### TooManyBytesForStringConstant

    static final int TooManyBytesForStringConstant

Since:
  2.1
See Also:
  Constant Field Values

#### TooManyFields

    static final int TooManyFields

Since:
  2.1
See Also:
  Constant Field Values

#### TooManyMethods

    static final int TooManyMethods

Since:
  2.1
See Also:
  Constant Field Values

#### TooManyParametersForSyntheticMethod

    static final int TooManyParametersForSyntheticMethod

Since:
  3.7
See Also:
  Constant Field Values

#### UseAssertAsAnIdentifier

    static final int UseAssertAsAnIdentifier

See Also:
  Constant Field Values

#### UseEnumAsAnIdentifier

    static final int UseEnumAsAnIdentifier

See Also:
  Constant Field Values

#### EnumConstantsCannotBeSurroundedByParenthesis

    static final int EnumConstantsCannotBeSurroundedByParenthesis

Since:
  3.2
See Also:
  Constant Field Values

#### IllegalUseOfUnderscoreAsAnIdentifier

    static final int IllegalUseOfUnderscoreAsAnIdentifier

Since:
  3.10
See Also:
  Constant Field Values

#### UninternedIdentityComparison

    static final int UninternedIdentityComparison

Since:
  3.10
See Also:
  Constant Field Values

#### Task

    static final int Task

Since:
  2.1
See Also:
  Constant Field Values

#### NullLocalVariableReference

    static final int NullLocalVariableReference

Since:
  3.3
See Also:
  Constant Field Values

#### PotentialNullLocalVariableReference

    static final int PotentialNullLocalVariableReference

Since:
  3.3
See Also:
  Constant Field Values

#### RedundantNullCheckOnNullLocalVariable

    static final int RedundantNullCheckOnNullLocalVariable

Since:
  3.3
See Also:
  Constant Field Values

#### NullLocalVariableComparisonYieldsFalse

    static final int NullLocalVariableComparisonYieldsFalse

Since:
  3.3
See Also:
  Constant Field Values

#### RedundantLocalVariableNullAssignment

    static final int RedundantLocalVariableNullAssignment

Since:
  3.3
See Also:
  Constant Field Values

#### NullLocalVariableInstanceofYieldsFalse

    static final int NullLocalVariableInstanceofYieldsFalse

Since:
  3.3
See Also:
  Constant Field Values

#### RedundantNullCheckOnNonNullLocalVariable

    static final int RedundantNullCheckOnNonNullLocalVariable

Since:
  3.3
See Also:
  Constant Field Values

#### NonNullLocalVariableComparisonYieldsFalse

    static final int NonNullLocalVariableComparisonYieldsFalse

Since:
  3.3
See Also:
  Constant Field Values

#### PotentialNullUnboxing

    static final int PotentialNullUnboxing

Since:
  3.9
See Also:
  Constant Field Values

#### NullUnboxing

    static final int NullUnboxing

Since:
  3.9
See Also:
  Constant Field Values

#### UndocumentedEmptyBlock

    static final int UndocumentedEmptyBlock

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInvalidSeeUrlReference

    static final int JavadocInvalidSeeUrlReference

Problem signaled on an invalid URL reference. Valid syntax example: @see "http://www.eclipse.org/"

Since:
  3.4
See Also:
  Constant Field Values

#### JavadocMissingTagDescription

    static final int JavadocMissingTagDescription

Problem warned on missing tag description.

Since:
  3.4
See Also:
  Constant Field Values

#### JavadocDuplicateTag

    static final int JavadocDuplicateTag

Problem warned on duplicated tag.

Since:
  3.3
See Also:
  Constant Field Values

#### JavadocHiddenReference

    static final int JavadocHiddenReference

Problem signaled on an hidden reference due to a too low visibility level.

Since:
  3.3
See Also:
  Constant Field Values

#### JavadocInvalidMemberTypeQualification

    static final int JavadocInvalidMemberTypeQualification

Problem signaled on an invalid qualification for member type reference.

Since:
  3.3
See Also:
  Constant Field Values

#### JavadocMissingIdentifier

    static final int JavadocMissingIdentifier

Since:
  3.2
See Also:
  Constant Field Values

#### JavadocNonStaticTypeFromStaticInvocation

    static final int JavadocNonStaticTypeFromStaticInvocation

Since:
  3.2
See Also:
  Constant Field Values

#### JavadocInvalidParamTagTypeParameter

    static final int JavadocInvalidParamTagTypeParameter

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocUnexpectedTag

    static final int JavadocUnexpectedTag

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMissingParamTag

    static final int JavadocMissingParamTag

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMissingParamName

    static final int JavadocMissingParamName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocDuplicateParamName

    static final int JavadocDuplicateParamName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInvalidParamName

    static final int JavadocInvalidParamName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMissingReturnTag

    static final int JavadocMissingReturnTag

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocDuplicateReturnTag

    static final int JavadocDuplicateReturnTag

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMissingThrowsTag

    static final int JavadocMissingThrowsTag

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMissingThrowsClassName

    static final int JavadocMissingThrowsClassName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInvalidThrowsClass

    static final int JavadocInvalidThrowsClass

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocDuplicateThrowsClassName

    static final int JavadocDuplicateThrowsClassName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInvalidThrowsClassName

    static final int JavadocInvalidThrowsClassName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMissingSeeReference

    static final int JavadocMissingSeeReference

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInvalidSeeReference

    static final int JavadocInvalidSeeReference

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInvalidSeeHref

    static final int JavadocInvalidSeeHref

Problem signaled on an invalid URL reference that does not conform to the href syntax. Valid syntax example: @see Eclipse Home Page

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInvalidSeeArgs

    static final int JavadocInvalidSeeArgs

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMissing

    static final int JavadocMissing

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInvalidTag

    static final int JavadocInvalidTag

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUndefinedField

    static final int JavadocUndefinedField

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocNotVisibleField

    static final int JavadocNotVisibleField

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocAmbiguousField

    static final int JavadocAmbiguousField

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUsingDeprecatedField

    static final int JavadocUsingDeprecatedField

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUndefinedConstructor

    static final int JavadocUndefinedConstructor

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocNotVisibleConstructor

    static final int JavadocNotVisibleConstructor

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocAmbiguousConstructor

    static final int JavadocAmbiguousConstructor

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUsingDeprecatedConstructor

    static final int JavadocUsingDeprecatedConstructor

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUndefinedMethod

    static final int JavadocUndefinedMethod

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocNotVisibleMethod

    static final int JavadocNotVisibleMethod

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocAmbiguousMethod

    static final int JavadocAmbiguousMethod

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUsingDeprecatedMethod

    static final int JavadocUsingDeprecatedMethod

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocNoMessageSendOnBaseType

    static final int JavadocNoMessageSendOnBaseType

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocParameterMismatch

    static final int JavadocParameterMismatch

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocNoMessageSendOnArrayType

    static final int JavadocNoMessageSendOnArrayType

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUndefinedType

    static final int JavadocUndefinedType

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocNotVisibleType

    static final int JavadocNotVisibleType

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocAmbiguousType

    static final int JavadocAmbiguousType

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUsingDeprecatedType

    static final int JavadocUsingDeprecatedType

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInternalTypeNameProvided

    static final int JavadocInternalTypeNameProvided

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInheritedMethodHidesEnclosingName

    static final int JavadocInheritedMethodHidesEnclosingName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInheritedFieldHidesEnclosingName

    static final int JavadocInheritedFieldHidesEnclosingName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocInheritedNameHidesEnclosingTypeName

    static final int JavadocInheritedNameHidesEnclosingTypeName

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocAmbiguousMethodReference

    static final int JavadocAmbiguousMethodReference

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocUnterminatedInlineTag

    static final int JavadocUnterminatedInlineTag

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMalformedSeeReference

    static final int JavadocMalformedSeeReference

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMessagePrefix

    static final int JavadocMessagePrefix

Since:
  3.0
See Also:
  Constant Field Values

#### JavadocMissingHashCharacter

    static final int JavadocMissingHashCharacter

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocEmptyReturnTag

    static final int JavadocEmptyReturnTag

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocInvalidValueReference

    static final int JavadocInvalidValueReference

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocUnexpectedText

    static final int JavadocUnexpectedText

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocInvalidParamTagName

    static final int JavadocInvalidParamTagName

Since:
  3.1
See Also:
  Constant Field Values

#### DuplicateTypeVariable

    static final int DuplicateTypeVariable

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalTypeVariableSuperReference

    static final int IllegalTypeVariableSuperReference

Since:
  3.1
See Also:
  Constant Field Values

#### NonStaticTypeFromStaticInvocation

    static final int NonStaticTypeFromStaticInvocation

Since:
  3.1
See Also:
  Constant Field Values

#### ObjectCannotBeGeneric

    static final int ObjectCannotBeGeneric

Since:
  3.1
See Also:
  Constant Field Values

#### NonGenericType

    static final int NonGenericType

Since:
  3.1
See Also:
  Constant Field Values

#### IncorrectArityForParameterizedType

    static final int IncorrectArityForParameterizedType

Since:
  3.1
See Also:
  Constant Field Values

#### TypeArgumentMismatch

    static final int TypeArgumentMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### DuplicateMethodErasure

    static final int DuplicateMethodErasure

Since:
  3.1
See Also:
  Constant Field Values

#### ReferenceToForwardTypeVariable

    static final int ReferenceToForwardTypeVariable

Since:
  3.1
See Also:
  Constant Field Values

#### BoundMustBeAnInterface

    static final int BoundMustBeAnInterface

Since:
  3.1
See Also:
  Constant Field Values

#### UnsafeRawConstructorInvocation

    static final int UnsafeRawConstructorInvocation

Since:
  3.1
See Also:
  Constant Field Values

#### UnsafeRawMethodInvocation

    static final int UnsafeRawMethodInvocation

Since:
  3.1
See Also:
  Constant Field Values

#### UnsafeTypeConversion

    static final int UnsafeTypeConversion

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidTypeVariableExceptionType

    static final int InvalidTypeVariableExceptionType

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidParameterizedExceptionType

    static final int InvalidParameterizedExceptionType

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalGenericArray

    static final int IllegalGenericArray

Since:
  3.1
See Also:
  Constant Field Values

#### UnsafeRawFieldAssignment

    static final int UnsafeRawFieldAssignment

Since:
  3.1
See Also:
  Constant Field Values

#### FinalBoundForTypeVariable

    static final int FinalBoundForTypeVariable

Since:
  3.1
See Also:
  Constant Field Values

#### UndefinedTypeVariable

    static final int UndefinedTypeVariable

Since:
  3.1
See Also:
  Constant Field Values

#### SuperInterfacesCollide

    static final int SuperInterfacesCollide

Since:
  3.1
See Also:
  Constant Field Values

#### WildcardConstructorInvocation

    static final int WildcardConstructorInvocation

Since:
  3.1
See Also:
  Constant Field Values

#### WildcardMethodInvocation

    static final int WildcardMethodInvocation

Since:
  3.1
See Also:
  Constant Field Values

#### WildcardFieldAssignment

    static final int WildcardFieldAssignment

Since:
  3.1
See Also:
  Constant Field Values

#### GenericMethodTypeArgumentMismatch

    static final int GenericMethodTypeArgumentMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### GenericConstructorTypeArgumentMismatch

    static final int GenericConstructorTypeArgumentMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### UnsafeGenericCast

    static final int UnsafeGenericCast

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalInstanceofParameterizedType

    static final int IllegalInstanceofParameterizedType

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalInstanceofTypeParameter

    static final int IllegalInstanceofTypeParameter

Since:
  3.1
See Also:
  Constant Field Values

#### NonGenericMethod

    static final int NonGenericMethod

Since:
  3.1
See Also:
  Constant Field Values

#### IncorrectArityForParameterizedMethod

    static final int IncorrectArityForParameterizedMethod

Since:
  3.1
See Also:
  Constant Field Values

#### ParameterizedMethodArgumentTypeMismatch

    static final int ParameterizedMethodArgumentTypeMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### NonGenericConstructor

    static final int NonGenericConstructor

Since:
  3.1
See Also:
  Constant Field Values

#### IncorrectArityForParameterizedConstructor

    static final int IncorrectArityForParameterizedConstructor

Since:
  3.1
See Also:
  Constant Field Values

#### ParameterizedConstructorArgumentTypeMismatch

    static final int ParameterizedConstructorArgumentTypeMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### TypeArgumentsForRawGenericMethod

    static final int TypeArgumentsForRawGenericMethod

Since:
  3.1
See Also:
  Constant Field Values

#### TypeArgumentsForRawGenericConstructor

    static final int TypeArgumentsForRawGenericConstructor

Since:
  3.1
See Also:
  Constant Field Values

#### SuperTypeUsingWildcard

    static final int SuperTypeUsingWildcard

Since:
  3.1
See Also:
  Constant Field Values

#### GenericTypeCannotExtendThrowable

    static final int GenericTypeCannotExtendThrowable

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalClassLiteralForTypeVariable

    static final int IllegalClassLiteralForTypeVariable

Since:
  3.1
See Also:
  Constant Field Values

#### UnsafeReturnTypeOverride

    static final int UnsafeReturnTypeOverride

Since:
  3.1
See Also:
  Constant Field Values

#### MethodNameClash

    static final int MethodNameClash

Since:
  3.1
See Also:
  Constant Field Values

#### RawMemberTypeCannotBeParameterized

    static final int RawMemberTypeCannotBeParameterized

Since:
  3.1
See Also:
  Constant Field Values

#### MissingArgumentsForParameterizedMemberType

    static final int MissingArgumentsForParameterizedMemberType

Since:
  3.1
See Also:
  Constant Field Values

#### StaticMemberOfParameterizedType

    static final int StaticMemberOfParameterizedType

Since:
  3.1
See Also:
  Constant Field Values

#### BoundHasConflictingArguments

    static final int BoundHasConflictingArguments

Since:
  3.1
See Also:
  Constant Field Values

#### DuplicateParameterizedMethods

    static final int DuplicateParameterizedMethods

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalQualifiedParameterizedTypeAllocation

    static final int IllegalQualifiedParameterizedTypeAllocation

Since:
  3.1
See Also:
  Constant Field Values

#### DuplicateBounds

    static final int DuplicateBounds

Since:
  3.1
See Also:
  Constant Field Values

#### BoundCannotBeArray

    static final int BoundCannotBeArray

Since:
  3.1
See Also:
  Constant Field Values

#### UnsafeRawGenericConstructorInvocation

    static final int UnsafeRawGenericConstructorInvocation

Since:
  3.1
See Also:
  Constant Field Values

#### UnsafeRawGenericMethodInvocation

    static final int UnsafeRawGenericMethodInvocation

Since:
  3.1
See Also:
  Constant Field Values

#### TypeParameterHidingType

    static final int TypeParameterHidingType

Since:
  3.1
See Also:
  Constant Field Values

#### RawTypeReference

    static final int RawTypeReference

Since:
  3.2
See Also:
  Constant Field Values

#### NoAdditionalBoundAfterTypeVariable

    static final int NoAdditionalBoundAfterTypeVariable

Since:
  3.2
See Also:
  Constant Field Values

#### UnsafeGenericArrayForVarargs

    static final int UnsafeGenericArrayForVarargs

Since:
  3.2
See Also:
  Constant Field Values

#### IllegalAccessFromTypeVariable

    static final int IllegalAccessFromTypeVariable

Since:
  3.2
See Also:
  Constant Field Values

#### TypeHidingTypeParameterFromType

    static final int TypeHidingTypeParameterFromType

Since:
  3.3
See Also:
  Constant Field Values

#### TypeHidingTypeParameterFromMethod

    static final int TypeHidingTypeParameterFromMethod

Since:
  3.3
See Also:
  Constant Field Values

#### InvalidUsageOfWildcard

    static final int InvalidUsageOfWildcard

Since:
  3.3
See Also:
  Constant Field Values

#### UnusedTypeArgumentsForMethodInvocation

    static final int UnusedTypeArgumentsForMethodInvocation

Since:
  3.4
See Also:
  Constant Field Values

#### IncompatibleTypesInForeach

    static final int IncompatibleTypesInForeach

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidTypeForCollection

    static final int InvalidTypeForCollection

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidTypeForCollectionTarget14

    static final int InvalidTypeForCollectionTarget14

Since:
  3.6
See Also:
  Constant Field Values

#### DuplicateInheritedMethods

    static final int DuplicateInheritedMethods

Since:
  3.7.1
See Also:
  Constant Field Values

#### MethodNameClashHidden

    static final int MethodNameClashHidden

Since:
  3.8
See Also:
  Constant Field Values

#### UnsafeElementTypeConversion

    static final int UnsafeElementTypeConversion

Since:
  3.9
See Also:
  Constant Field Values

#### InvalidTypeArguments

    static final int InvalidTypeArguments

Since:
  3.11
See Also:
  Constant Field Values

#### InvalidUsageOfTypeParameters

    static final int InvalidUsageOfTypeParameters

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidUsageOfStaticImports

    static final int InvalidUsageOfStaticImports

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidUsageOfForeachStatements

    static final int InvalidUsageOfForeachStatements

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidUsageOfTypeArguments

    static final int InvalidUsageOfTypeArguments

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidUsageOfEnumDeclarations

    static final int InvalidUsageOfEnumDeclarations

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidUsageOfVarargs

    static final int InvalidUsageOfVarargs

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidUsageOfAnnotations

    static final int InvalidUsageOfAnnotations

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidUsageOfAnnotationDeclarations

    static final int InvalidUsageOfAnnotationDeclarations

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidUsageOfTypeParametersForAnnotationDeclaration

    static final int InvalidUsageOfTypeParametersForAnnotationDeclaration

Since:
  3.4
See Also:
  Constant Field Values

#### InvalidUsageOfTypeParametersForEnumDeclaration

    static final int InvalidUsageOfTypeParametersForEnumDeclaration

Since:
  3.4
See Also:
  Constant Field Values

#### IllegalModifierForAnnotationMethod

    static final int IllegalModifierForAnnotationMethod

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalExtendedDimensions

    static final int IllegalExtendedDimensions

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidFileNameForPackageAnnotations

    static final int InvalidFileNameForPackageAnnotations

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierForAnnotationType

    static final int IllegalModifierForAnnotationType

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierForAnnotationMemberType

    static final int IllegalModifierForAnnotationMemberType

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidAnnotationMemberType

    static final int InvalidAnnotationMemberType

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationCircularitySelfReference

    static final int AnnotationCircularitySelfReference

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationCircularity

    static final int AnnotationCircularity

Since:
  3.1
See Also:
  Constant Field Values

#### DuplicateAnnotation

    static final int DuplicateAnnotation

Since:
  3.1
See Also:
  Constant Field Values

#### MissingValueForAnnotationMember

    static final int MissingValueForAnnotationMember

Since:
  3.1
See Also:
  Constant Field Values

#### DuplicateAnnotationMember

    static final int DuplicateAnnotationMember

Since:
  3.1
See Also:
  Constant Field Values

#### UndefinedAnnotationMember

    static final int UndefinedAnnotationMember

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationValueMustBeClassLiteral

    static final int AnnotationValueMustBeClassLiteral

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationValueMustBeConstant

    static final int AnnotationValueMustBeConstant

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationFieldNeedConstantInitialization

    static final int AnnotationFieldNeedConstantInitialization

Deprecated. - problem is no longer generated (code is legite)

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierForAnnotationField

    static final int IllegalModifierForAnnotationField

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationCannotOverrideMethod

    static final int AnnotationCannotOverrideMethod

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationMembersCannotHaveParameters

    static final int AnnotationMembersCannotHaveParameters

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationMembersCannotHaveTypeParameters

    static final int AnnotationMembersCannotHaveTypeParameters

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationTypeDeclarationCannotHaveSuperclass

    static final int AnnotationTypeDeclarationCannotHaveSuperclass

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationTypeDeclarationCannotHaveSuperinterfaces

    static final int AnnotationTypeDeclarationCannotHaveSuperinterfaces

Since:
  3.1
See Also:
  Constant Field Values

#### DuplicateTargetInTargetAnnotation

    static final int DuplicateTargetInTargetAnnotation

Since:
  3.1
See Also:
  Constant Field Values

#### DisallowedTargetForAnnotation

    static final int DisallowedTargetForAnnotation

Since:
  3.1
See Also:
  Constant Field Values

#### MethodMustOverride

    static final int MethodMustOverride

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationTypeDeclarationCannotHaveConstructor

    static final int AnnotationTypeDeclarationCannotHaveConstructor

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationValueMustBeAnnotation

    static final int AnnotationValueMustBeAnnotation

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationTypeUsedAsSuperInterface

    static final int AnnotationTypeUsedAsSuperInterface

Since:
  3.1
See Also:
  Constant Field Values

#### MissingOverrideAnnotation

    static final int MissingOverrideAnnotation

Since:
  3.1
See Also:
  Constant Field Values

#### FieldMissingDeprecatedAnnotation

    static final int FieldMissingDeprecatedAnnotation

Since:
  3.1
See Also:
  Constant Field Values

#### MethodMissingDeprecatedAnnotation

    static final int MethodMissingDeprecatedAnnotation

Since:
  3.1
See Also:
  Constant Field Values

#### TypeMissingDeprecatedAnnotation

    static final int TypeMissingDeprecatedAnnotation

Since:
  3.1
See Also:
  Constant Field Values

#### UnhandledWarningToken

    static final int UnhandledWarningToken

Since:
  3.1
See Also:
  Constant Field Values

#### AnnotationValueMustBeArrayInitializer

    static final int AnnotationValueMustBeArrayInitializer

Since:
  3.2
See Also:
  Constant Field Values

#### AnnotationValueMustBeAnEnumConstant

    static final int AnnotationValueMustBeAnEnumConstant

Since:
  3.3
See Also:
  Constant Field Values

#### MethodMustOverrideOrImplement

    static final int MethodMustOverrideOrImplement

Since:
  3.3
See Also:
  Constant Field Values

#### UnusedWarningToken

    static final int UnusedWarningToken

Since:
  3.4
See Also:
  Constant Field Values

#### MissingOverrideAnnotationForInterfaceMethodImplementation

    static final int MissingOverrideAnnotationForInterfaceMethodImplementation

Since:
  3.6
See Also:
  Constant Field Values

#### InvalidUsageOfTypeAnnotations

    static final int InvalidUsageOfTypeAnnotations

Since:
  3.10
See Also:
  Constant Field Values

#### DisallowedExplicitThisParameter

    static final int DisallowedExplicitThisParameter

Since:
  3.10
See Also:
  Constant Field Values

#### MisplacedTypeAnnotations

    static final int MisplacedTypeAnnotations

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalTypeAnnotationsInStaticMemberAccess

    static final int IllegalTypeAnnotationsInStaticMemberAccess

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalUsageOfTypeAnnotations

    static final int IllegalUsageOfTypeAnnotations

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalDeclarationOfThisParameter

    static final int IllegalDeclarationOfThisParameter

Since:
  3.10
See Also:
  Constant Field Values

#### ExplicitThisParameterNotBelow18

    static final int ExplicitThisParameterNotBelow18

Since:
  3.10
See Also:
  Constant Field Values

#### DefaultMethodNotBelow18

    static final int DefaultMethodNotBelow18

Since:
  3.10
See Also:
  Constant Field Values

#### LambdaExpressionNotBelow18

    static final int LambdaExpressionNotBelow18

Since:
  3.10
See Also:
  Constant Field Values

#### MethodReferenceNotBelow18

    static final int MethodReferenceNotBelow18

Since:
  3.10
See Also:
  Constant Field Values

#### ConstructorReferenceNotBelow18

    static final int ConstructorReferenceNotBelow18

Since:
  3.10
See Also:
  Constant Field Values

#### ExplicitThisParameterNotInLambda

    static final int ExplicitThisParameterNotInLambda

Since:
  3.10
See Also:
  Constant Field Values

#### ExplicitAnnotationTargetRequired

    static final int ExplicitAnnotationTargetRequired

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalTypeForExplicitThis

    static final int IllegalTypeForExplicitThis

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalQualifierForExplicitThis

    static final int IllegalQualifierForExplicitThis

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalQualifierForExplicitThis2

    static final int IllegalQualifierForExplicitThis2

Since:
  3.10
See Also:
  Constant Field Values

#### TargetTypeNotAFunctionalInterface

    static final int TargetTypeNotAFunctionalInterface

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalVarargInLambda

    static final int IllegalVarargInLambda

Since:
  3.10
See Also:
  Constant Field Values

#### illFormedParameterizationOfFunctionalInterface

    static final int illFormedParameterizationOfFunctionalInterface

Since:
  3.10
See Also:
  Constant Field Values

#### lambdaSignatureMismatched

    static final int lambdaSignatureMismatched

Since:
  3.10
See Also:
  Constant Field Values

#### lambdaParameterTypeMismatched

    static final int lambdaParameterTypeMismatched

Since:
  3.10
See Also:
  Constant Field Values

#### IncompatibleLambdaParameterType

    static final int IncompatibleLambdaParameterType

Since:
  3.10
See Also:
  Constant Field Values

#### NoGenericLambda

    static final int NoGenericLambda

Since:
  3.10
See Also:
  Constant Field Values

#### UnusedTypeArgumentsForConstructorInvocation

    static final int UnusedTypeArgumentsForConstructorInvocation

Since:
  3.4
See Also:
  Constant Field Values

#### UnusedTypeParameter

    static final int UnusedTypeParameter

Since:
  3.9
See Also:
  Constant Field Values

#### IllegalArrayOfUnionType

    static final int IllegalArrayOfUnionType

Since:
  3.9
See Also:
  Constant Field Values

#### OuterLocalMustBeEffectivelyFinal

    static final int OuterLocalMustBeEffectivelyFinal

Since:
  3.10
See Also:
  Constant Field Values

#### InterfaceNotFunctionalInterface

    static final int InterfaceNotFunctionalInterface

Since:
  3.10
See Also:
  Constant Field Values

#### ConstructionTypeMismatch

    static final int ConstructionTypeMismatch

Since:
  3.10
See Also:
  Constant Field Values

#### ToleratedMisplacedTypeAnnotations

    static final int ToleratedMisplacedTypeAnnotations

Since:
  3.10
See Also:
  Constant Field Values

#### InterfaceSuperInvocationNotBelow18

    static final int InterfaceSuperInvocationNotBelow18

Since:
  3.13
See Also:
  Constant Field Values

#### InterfaceStaticMethodInvocationNotBelow18

    static final int InterfaceStaticMethodInvocationNotBelow18

Since:
  3.13
See Also:
  Constant Field Values

#### FieldMustBeFinal

    static final int FieldMustBeFinal

Since:
  3.13
See Also:
  Constant Field Values

#### NonNullExpressionComparisonYieldsFalse

    static final int NonNullExpressionComparisonYieldsFalse

Since:
  3.9
See Also:
  Constant Field Values

#### RedundantNullCheckOnNonNullExpression

    static final int RedundantNullCheckOnNonNullExpression

Since:
  3.9
See Also:
  Constant Field Values

#### NullExpressionReference

    static final int NullExpressionReference

Since:
  3.9
See Also:
  Constant Field Values

#### PotentialNullExpressionReference

    static final int PotentialNullExpressionReference

Since:
  3.9
See Also:
  Constant Field Values

#### CorruptedSignature

    static final int CorruptedSignature

Since:
  3.1
See Also:
  Constant Field Values

#### InvalidEncoding

    static final int InvalidEncoding

Since:
  3.2
See Also:
  Constant Field Values

#### CannotReadSource

    static final int CannotReadSource

Since:
  3.2
See Also:
  Constant Field Values

#### BoxingConversion

    static final int BoxingConversion

Since:
  3.1
See Also:
  Constant Field Values

#### UnboxingConversion

    static final int UnboxingConversion

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierForEnum

    static final int IllegalModifierForEnum

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierForEnumConstant

    static final int IllegalModifierForEnumConstant

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierForLocalEnum

    static final int IllegalModifierForLocalEnum

Deprecated. - problem could not be reported, enums cannot be local takes precedence

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierForMemberEnum

    static final int IllegalModifierForMemberEnum

Since:
  3.1
See Also:
  Constant Field Values

#### CannotDeclareEnumSpecialMethod

    static final int CannotDeclareEnumSpecialMethod

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalQualifiedEnumConstantLabel

    static final int IllegalQualifiedEnumConstantLabel

Since:
  3.1
See Also:
  Constant Field Values

#### CannotExtendEnum

    static final int CannotExtendEnum

Since:
  3.1
See Also:
  Constant Field Values

#### CannotInvokeSuperConstructorInEnum

    static final int CannotInvokeSuperConstructorInEnum

Since:
  3.1
See Also:
  Constant Field Values

#### EnumAbstractMethodMustBeImplemented

    static final int EnumAbstractMethodMustBeImplemented

Since:
  3.1
See Also:
  Constant Field Values

#### EnumSwitchCannotTargetField

    static final int EnumSwitchCannotTargetField

Since:
  3.1
See Also:
  Constant Field Values

#### IllegalModifierForEnumConstructor

    static final int IllegalModifierForEnumConstructor

Since:
  3.1
See Also:
  Constant Field Values

#### MissingEnumConstantCase

    static final int MissingEnumConstantCase

Since:
  3.1
See Also:
  Constant Field Values

#### EnumStaticFieldInInInitializerContext

    static final int EnumStaticFieldInInInitializerContext

Since:
  3.2
See Also:
  Constant Field Values

#### EnumConstantMustImplementAbstractMethod

    static final int EnumConstantMustImplementAbstractMethod

Since:
  3.4
See Also:
  Constant Field Values

#### EnumConstantCannotDefineAbstractMethod

    static final int EnumConstantCannotDefineAbstractMethod

Since:
  3.5
See Also:
  Constant Field Values

#### AbstractMethodInEnum

    static final int AbstractMethodInEnum

Since:
  3.5
See Also:
  Constant Field Values

#### MissingEnumDefaultCase

    static final int MissingEnumDefaultCase

Since:
  3.8
See Also:
  Constant Field Values

#### MissingDefaultCase

    static final int MissingDefaultCase

Since:
  3.8
See Also:
  Constant Field Values

#### MissingEnumConstantCaseDespiteDefault

    static final int MissingEnumConstantCaseDespiteDefault

Since:
  3.8
See Also:
  Constant Field Values

#### UninitializedLocalVariableHintMissingDefault

    static final int UninitializedLocalVariableHintMissingDefault

Since:
  3.8
See Also:
  Constant Field Values

#### UninitializedBlankFinalFieldHintMissingDefault

    static final int UninitializedBlankFinalFieldHintMissingDefault

Since:
  3.8
See Also:
  Constant Field Values

#### ShouldReturnValueHintMissingDefault

    static final int ShouldReturnValueHintMissingDefault

Since:
  3.8
See Also:
  Constant Field Values

#### IllegalExtendedDimensionsForVarArgs

    static final int IllegalExtendedDimensionsForVarArgs

Since:
  3.1
See Also:
  Constant Field Values

#### MethodVarargsArgumentNeedCast

    static final int MethodVarargsArgumentNeedCast

Since:
  3.1
See Also:
  Constant Field Values

#### ConstructorVarargsArgumentNeedCast

    static final int ConstructorVarargsArgumentNeedCast

Since:
  3.1
See Also:
  Constant Field Values

#### VarargsConflict

    static final int VarargsConflict

Since:
  3.1
See Also:
  Constant Field Values

#### SafeVarargsOnFixedArityMethod

    static final int SafeVarargsOnFixedArityMethod

Since:
  3.7.1
See Also:
  Constant Field Values

#### SafeVarargsOnNonFinalInstanceMethod

    static final int SafeVarargsOnNonFinalInstanceMethod

Since:
  3.7.1
See Also:
  Constant Field Values

#### PotentialHeapPollutionFromVararg

    static final int PotentialHeapPollutionFromVararg

Since:
  3.7.1
See Also:
  Constant Field Values

#### VarargsElementTypeNotVisible

    static final int VarargsElementTypeNotVisible

Since:
  3.8
See Also:
  Constant Field Values

#### VarargsElementTypeNotVisibleForConstructor

    static final int VarargsElementTypeNotVisibleForConstructor

Since:
  3.8
See Also:
  Constant Field Values

#### ApplicableMethodOverriddenByInapplicable

    static final int ApplicableMethodOverriddenByInapplicable

Since:
  3.10
See Also:
  Constant Field Values

#### JavadocGenericMethodTypeArgumentMismatch

    static final int JavadocGenericMethodTypeArgumentMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocNonGenericMethod

    static final int JavadocNonGenericMethod

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocIncorrectArityForParameterizedMethod

    static final int JavadocIncorrectArityForParameterizedMethod

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocParameterizedMethodArgumentTypeMismatch

    static final int JavadocParameterizedMethodArgumentTypeMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocTypeArgumentsForRawGenericMethod

    static final int JavadocTypeArgumentsForRawGenericMethod

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocGenericConstructorTypeArgumentMismatch

    static final int JavadocGenericConstructorTypeArgumentMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocNonGenericConstructor

    static final int JavadocNonGenericConstructor

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocIncorrectArityForParameterizedConstructor

    static final int JavadocIncorrectArityForParameterizedConstructor

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocParameterizedConstructorArgumentTypeMismatch

    static final int JavadocParameterizedConstructorArgumentTypeMismatch

Since:
  3.1
See Also:
  Constant Field Values

#### JavadocTypeArgumentsForRawGenericConstructor

    static final int JavadocTypeArgumentsForRawGenericConstructor

Since:
  3.1
See Also:
  Constant Field Values

#### AssignmentToMultiCatchParameter

    static final int AssignmentToMultiCatchParameter

Since:
  3.7.1
See Also:
  Constant Field Values

#### ResourceHasToImplementAutoCloseable

    static final int ResourceHasToImplementAutoCloseable

Since:
  3.7.1
See Also:
  Constant Field Values

#### AssignmentToResource

    static final int AssignmentToResource

Since:
  3.7.1
See Also:
  Constant Field Values

#### InvalidUnionTypeReferenceSequence

    static final int InvalidUnionTypeReferenceSequence

Since:
  3.7.1
See Also:
  Constant Field Values

#### AutoManagedResourceNotBelow17

    static final int AutoManagedResourceNotBelow17

Since:
  3.7.1
See Also:
  Constant Field Values

#### MultiCatchNotBelow17

    static final int MultiCatchNotBelow17

Since:
  3.7.1
See Also:
  Constant Field Values

#### PolymorphicMethodNotBelow17

    static final int PolymorphicMethodNotBelow17

Since:
  3.7.1
See Also:
  Constant Field Values

#### IncorrectSwitchType17

    static final int IncorrectSwitchType17

Since:
  3.7.1
See Also:
  Constant Field Values

#### CannotInferElidedTypes

    static final int CannotInferElidedTypes

Since:
  3.7.1
See Also:
  Constant Field Values

#### CannotUseDiamondWithExplicitTypeArguments

    static final int CannotUseDiamondWithExplicitTypeArguments

Since:
  3.7.1
See Also:
  Constant Field Values

#### CannotUseDiamondWithAnonymousClasses

    static final int CannotUseDiamondWithAnonymousClasses

Since:
  3.7.1
See Also:
  Constant Field Values

#### SwitchOnStringsNotBelow17

    static final int SwitchOnStringsNotBelow17

Since:
  3.7.1
See Also:
  Constant Field Values

#### UnhandledExceptionOnAutoClose

    static final int UnhandledExceptionOnAutoClose

Since:
  3.7.1
See Also:
  Constant Field Values

#### DiamondNotBelow17

    static final int DiamondNotBelow17

Since:
  3.7.1
See Also:
  Constant Field Values

#### RedundantSpecificationOfTypeArguments

    static final int RedundantSpecificationOfTypeArguments

Since:
  3.7.1
See Also:
  Constant Field Values

#### PotentiallyUnclosedCloseable

    static final int PotentiallyUnclosedCloseable

Since:
  3.8
See Also:
  Constant Field Values

#### PotentiallyUnclosedCloseableAtExit

    static final int PotentiallyUnclosedCloseableAtExit

Since:
  3.8
See Also:
  Constant Field Values

#### UnclosedCloseable

    static final int UnclosedCloseable

Since:
  3.8
See Also:
  Constant Field Values

#### UnclosedCloseableAtExit

    static final int UnclosedCloseableAtExit

Since:
  3.8
See Also:
  Constant Field Values

#### ExplicitlyClosedAutoCloseable

    static final int ExplicitlyClosedAutoCloseable

Since:
  3.8
See Also:
  Constant Field Values

#### SwitchOnEnumNotBelow15

    static final int SwitchOnEnumNotBelow15

Since:
  3.8
See Also:
  Constant Field Values

#### IntersectionCastNotBelow18

    static final int IntersectionCastNotBelow18

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalBasetypeInIntersectionCast

    static final int IllegalBasetypeInIntersectionCast

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalArrayTypeInIntersectionCast

    static final int IllegalArrayTypeInIntersectionCast

Since:
  3.10
See Also:
  Constant Field Values

#### DuplicateBoundInIntersectionCast

    static final int DuplicateBoundInIntersectionCast

Since:
  3.10
See Also:
  Constant Field Values

#### MultipleFunctionalInterfaces

    static final int MultipleFunctionalInterfaces

Deprecated. This problem is no longer reported; number Of functional interface is not an issue, number of abstract methods is.

Since:
  3.10
See Also:
  Constant Field Values

#### StaticInterfaceMethodNotBelow18

    static final int StaticInterfaceMethodNotBelow18

Since:
  3.10
See Also:
  Constant Field Values

#### DuplicateAnnotationNotMarkedRepeatable

    static final int DuplicateAnnotationNotMarkedRepeatable

Since:
  3.10
See Also:
  Constant Field Values

#### DisallowedTargetForContainerAnnotationType

    static final int DisallowedTargetForContainerAnnotationType

Since:
  3.10
See Also:
  Constant Field Values

#### RepeatedAnnotationWithContainerAnnotation

    static final int RepeatedAnnotationWithContainerAnnotation

Since:
  3.10
See Also:
  Constant Field Values

#### AutoManagedVariableResourceNotBelow9

    static final int AutoManagedVariableResourceNotBelow9

Since:
  3.14
See Also:
  Constant Field Values

#### ExternalProblemNotFixable

    static final int ExternalProblemNotFixable

Since:
  3.2
See Also:
  Constant Field Values

#### ExternalProblemFixable

    static final int ExternalProblemFixable

Since:
  3.2
See Also:
  Constant Field Values

#### ContainerAnnotationTypeHasWrongValueType

    static final int ContainerAnnotationTypeHasWrongValueType

Since:
  3.10
See Also:
  Constant Field Values

#### ContainerAnnotationTypeMustHaveValue

    static final int ContainerAnnotationTypeMustHaveValue

Since:
  3.10
See Also:
  Constant Field Values

#### ContainerAnnotationTypeHasNonDefaultMembers

    static final int ContainerAnnotationTypeHasNonDefaultMembers

Since:
  3.10
See Also:
  Constant Field Values

#### ContainerAnnotationTypeHasShorterRetention

    static final int ContainerAnnotationTypeHasShorterRetention

Since:
  3.10
See Also:
  Constant Field Values

#### RepeatableAnnotationTypeTargetMismatch

    static final int RepeatableAnnotationTypeTargetMismatch

Since:
  3.10
See Also:
  Constant Field Values

#### RepeatableAnnotationTypeIsDocumented

    static final int RepeatableAnnotationTypeIsDocumented

Since:
  3.10
See Also:
  Constant Field Values

#### RepeatableAnnotationTypeIsInherited

    static final int RepeatableAnnotationTypeIsInherited

Since:
  3.10
See Also:
  Constant Field Values

#### RepeatableAnnotationWithRepeatingContainerAnnotation

    static final int RepeatableAnnotationWithRepeatingContainerAnnotation

Since:
  3.10
See Also:
  Constant Field Values

#### RequiredNonNullButProvidedNull

    static final int RequiredNonNullButProvidedNull

Since:
  3.8
See Also:
  Constant Field Values

#### RequiredNonNullButProvidedPotentialNull

    static final int RequiredNonNullButProvidedPotentialNull

Since:
  3.8
See Also:
  Constant Field Values

#### RequiredNonNullButProvidedUnknown

    static final int RequiredNonNullButProvidedUnknown

Since:
  3.8
See Also:
  Constant Field Values

#### MissingNonNullByDefaultAnnotationOnPackage

    static final int MissingNonNullByDefaultAnnotationOnPackage

Since:
  3.8
See Also:
  Constant Field Values

#### IllegalReturnNullityRedefinition

    static final int IllegalReturnNullityRedefinition

Since:
  3.8
See Also:
  Constant Field Values

#### IllegalRedefinitionToNonNullParameter

    static final int IllegalRedefinitionToNonNullParameter

Since:
  3.8
See Also:
  Constant Field Values

#### IllegalDefinitionToNonNullParameter

    static final int IllegalDefinitionToNonNullParameter

Since:
  3.8
See Also:
  Constant Field Values

#### ParameterLackingNonNullAnnotation

    static final int ParameterLackingNonNullAnnotation

Since:
  3.8
See Also:
  Constant Field Values

#### ParameterLackingNullableAnnotation

    static final int ParameterLackingNullableAnnotation

Since:
  3.8
See Also:
  Constant Field Values

#### PotentialNullMessageSendReference

    static final int PotentialNullMessageSendReference

Since:
  3.8
See Also:
  Constant Field Values

#### RedundantNullCheckOnNonNullMessageSend

    static final int RedundantNullCheckOnNonNullMessageSend

Since:
  3.8
See Also:
  Constant Field Values

#### CannotImplementIncompatibleNullness

    static final int CannotImplementIncompatibleNullness

Since:
  3.8
See Also:
  Constant Field Values

#### RedundantNullAnnotation

    static final int RedundantNullAnnotation

Since:
  3.8
See Also:
  Constant Field Values

#### IllegalAnnotationForBaseType

    static final int IllegalAnnotationForBaseType

Since:
  3.8
See Also:
  Constant Field Values

#### NullableFieldReference

    static final int NullableFieldReference

Since:
  3.9
See Also:
  Constant Field Values

#### RedundantNullDefaultAnnotation

    static final int RedundantNullDefaultAnnotation

Since:
  3.8
See Also:
  Constant Field Values

#### RedundantNullDefaultAnnotationPackage

    static final int RedundantNullDefaultAnnotationPackage

Since:
  3.8
See Also:
  Constant Field Values

#### RedundantNullDefaultAnnotationType

    static final int RedundantNullDefaultAnnotationType

Since:
  3.8
See Also:
  Constant Field Values

#### RedundantNullDefaultAnnotationMethod

    static final int RedundantNullDefaultAnnotationMethod

Since:
  3.8
See Also:
  Constant Field Values

#### ContradictoryNullAnnotations

    static final int ContradictoryNullAnnotations

Since:
  3.8
See Also:
  Constant Field Values

#### MissingNonNullByDefaultAnnotationOnType

    static final int MissingNonNullByDefaultAnnotationOnType

Since:
  3.8
See Also:
  Constant Field Values

#### RedundantNullCheckOnSpecdNonNullLocalVariable

    static final int RedundantNullCheckOnSpecdNonNullLocalVariable

Since:
  3.8
See Also:
  Constant Field Values

#### SpecdNonNullLocalVariableComparisonYieldsFalse

    static final int SpecdNonNullLocalVariableComparisonYieldsFalse

Since:
  3.8
See Also:
  Constant Field Values

#### RequiredNonNullButProvidedSpecdNullable

    static final int RequiredNonNullButProvidedSpecdNullable

Since:
  3.8
See Also:
  Constant Field Values

#### UninitializedNonNullField

    static final int UninitializedNonNullField

Since:
  3.9
See Also:
  Constant Field Values

#### UninitializedNonNullFieldHintMissingDefault

    static final int UninitializedNonNullFieldHintMissingDefault

Since:
  3.9
See Also:
  Constant Field Values

#### NonNullMessageSendComparisonYieldsFalse

    static final int NonNullMessageSendComparisonYieldsFalse

Since:
  3.9
See Also:
  Constant Field Values

#### RedundantNullCheckOnNonNullSpecdField

    static final int RedundantNullCheckOnNonNullSpecdField

Since:
  3.9
See Also:
  Constant Field Values

#### NonNullSpecdFieldComparisonYieldsFalse

    static final int NonNullSpecdFieldComparisonYieldsFalse

Since:
  3.9
See Also:
  Constant Field Values

#### ConflictingNullAnnotations

    static final int ConflictingNullAnnotations

Since:
  3.9
See Also:
  Constant Field Values

#### ConflictingInheritedNullAnnotations

    static final int ConflictingInheritedNullAnnotations

Since:
  3.9
See Also:
  Constant Field Values

#### RedundantNullCheckOnField

    static final int RedundantNullCheckOnField

Since:
  3.10
See Also:
  Constant Field Values

#### FieldComparisonYieldsFalse

    static final int FieldComparisonYieldsFalse

Since:
  3.10
See Also:
  Constant Field Values

#### ArrayReferencePotentialNullReference

    static final int ArrayReferencePotentialNullReference

Since:
  3.10
See Also:
  Constant Field Values

#### DereferencingNullableExpression

    static final int DereferencingNullableExpression

Since:
  3.10
See Also:
  Constant Field Values

#### NullityMismatchingTypeAnnotation

    static final int NullityMismatchingTypeAnnotation

Since:
  3.10
See Also:
  Constant Field Values

#### NullityMismatchingTypeAnnotationSuperHint

    static final int NullityMismatchingTypeAnnotationSuperHint

Since:
  3.10
See Also:
  Constant Field Values

#### NullityUncheckedTypeAnnotationDetail

    static final int NullityUncheckedTypeAnnotationDetail

Since:
  3.10
See Also:
  Constant Field Values

#### NullityUncheckedTypeAnnotationDetailSuperHint

    static final int NullityUncheckedTypeAnnotationDetailSuperHint

Since:
  3.10
See Also:
  Constant Field Values

#### ReferenceExpressionParameterNullityMismatch

    static final int ReferenceExpressionParameterNullityMismatch

Since:
  3.10
See Also:
  Constant Field Values

#### ReferenceExpressionParameterNullityUnchecked

    static final int ReferenceExpressionParameterNullityUnchecked

Since:
  3.10
See Also:
  Constant Field Values

#### ReferenceExpressionReturnNullRedef

    static final int ReferenceExpressionReturnNullRedef

Since:
  3.10
See Also:
  Constant Field Values

#### ReferenceExpressionReturnNullRedefUnchecked

    static final int ReferenceExpressionReturnNullRedefUnchecked

Since:
  3.10
See Also:
  Constant Field Values

#### RedundantNullCheckAgainstNonNullType

    static final int RedundantNullCheckAgainstNonNullType

Since:
  3.10
See Also:
  Constant Field Values

#### NullAnnotationUnsupportedLocation

    static final int NullAnnotationUnsupportedLocation

Since:
  3.10
See Also:
  Constant Field Values

#### NullAnnotationUnsupportedLocationAtType

    static final int NullAnnotationUnsupportedLocationAtType

Since:
  3.10
See Also:
  Constant Field Values

#### NullityMismatchTypeArgument

    static final int NullityMismatchTypeArgument

Since:
  3.10
See Also:
  Constant Field Values

#### ContradictoryNullAnnotationsOnBound

    static final int ContradictoryNullAnnotationsOnBound

Since:
  3.10
See Also:
  Constant Field Values

#### ContradictoryNullAnnotationsInferred

    static final int ContradictoryNullAnnotationsInferred

Since:
  3.10
See Also:
  Constant Field Values

#### UnsafeNullnessCast

    static final int UnsafeNullnessCast

Since:
  3.10
See Also:
  Constant Field Values

#### NonNullDefaultDetailIsNotEvaluated

    static final int NonNullDefaultDetailIsNotEvaluated

Since:
  3.10
See Also:
  Constant Field Values

#### NullNotCompatibleToFreeTypeVariable

    static final int NullNotCompatibleToFreeTypeVariable

Since:
  3.10
See Also:
  Constant Field Values

#### NullityMismatchAgainstFreeTypeVariable

    static final int NullityMismatchAgainstFreeTypeVariable

Since:
  3.10
See Also:
  Constant Field Values

#### ImplicitObjectBoundNoNullDefault

    static final int ImplicitObjectBoundNoNullDefault

Since:
  3.11
See Also:
  Constant Field Values

#### IllegalParameterNullityRedefinition

    static final int IllegalParameterNullityRedefinition

Since:
  3.11
See Also:
  Constant Field Values

#### ContradictoryNullAnnotationsInferredFunctionType

    static final int ContradictoryNullAnnotationsInferredFunctionType

Since:
  3.11
See Also:
  Constant Field Values

#### IllegalReturnNullityRedefinitionFreeTypeVariable

    static final int IllegalReturnNullityRedefinitionFreeTypeVariable

Since:
  3.11
See Also:
  Constant Field Values

#### IllegalRedefinitionOfTypeVariable

    static final int IllegalRedefinitionOfTypeVariable

Since:
  3.12
See Also:
  Constant Field Values

#### UncheckedAccessOfValueOfFreeTypeVariable

    static final int UncheckedAccessOfValueOfFreeTypeVariable

Since:
  3.12
See Also:
  Constant Field Values

#### UninitializedFreeTypeVariableField

    static final int UninitializedFreeTypeVariableField

Since:
  3.12
See Also:
  Constant Field Values

#### UninitializedFreeTypeVariableFieldHintMissingDefault

    static final int UninitializedFreeTypeVariableFieldHintMissingDefault

Since:
  3.12
See Also:
  Constant Field Values

#### RequiredNonNullButProvidedFreeTypeVariable

    static final int RequiredNonNullButProvidedFreeTypeVariable

Since:
  3.12
See Also:
  Constant Field Values

#### NonNullTypeVariableFromLegacyMethod

    static final int NonNullTypeVariableFromLegacyMethod

Since:
  3.12
See Also:
  Constant Field Values

#### NonNullMethodTypeVariableFromLegacyMethod

    static final int NonNullMethodTypeVariableFromLegacyMethod

Since:
  3.12
See Also:
  Constant Field Values

#### IllegalModifiersForElidedType

    static final int IllegalModifiersForElidedType

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalModifiers

    static final int IllegalModifiers

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalTypeArgumentsInRawConstructorReference

    static final int IllegalTypeArgumentsInRawConstructorReference

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalModifierForInterfaceMethod18

    static final int IllegalModifierForInterfaceMethod18

Since:
  3.10
See Also:
  Constant Field Values

#### DefaultMethodOverridesObjectMethod

    static final int DefaultMethodOverridesObjectMethod

Since:
  3.10
See Also:
  Constant Field Values

#### InheritedDefaultMethodConflictsWithOtherInherited

    static final int InheritedDefaultMethodConflictsWithOtherInherited

Since:
  3.10
See Also:
  Constant Field Values

#### DuplicateInheritedDefaultMethods

    static final int DuplicateInheritedDefaultMethods

Since:
  3.10
See Also:
  Constant Field Values

#### SuperAccessCannotBypassDirectSuper

    static final int SuperAccessCannotBypassDirectSuper

Since:
  3.10
See Also:
  Constant Field Values

#### SuperCallCannotBypassOverride

    static final int SuperCallCannotBypassOverride

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalModifierCombinationForInterfaceMethod

    static final int IllegalModifierCombinationForInterfaceMethod

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalStrictfpForAbstractInterfaceMethod

    static final int IllegalStrictfpForAbstractInterfaceMethod

Since:
  3.10
See Also:
  Constant Field Values

#### IllegalDefaultModifierSpecification

    static final int IllegalDefaultModifierSpecification

Since:
  3.10
See Also:
  Constant Field Values

#### CannotInferInvocationType

    static final int CannotInferInvocationType

Since:
  3.13
See Also:
  Constant Field Values

#### TypeAnnotationAtQualifiedName

    static final int TypeAnnotationAtQualifiedName

Since:
  3.13
See Also:
  Constant Field Values

#### NullAnnotationAtQualifyingType

    static final int NullAnnotationAtQualifyingType

Since:
  3.13
See Also:
  Constant Field Values

#### IllegalModifierForInterfaceMethod9

    static final int IllegalModifierForInterfaceMethod9

Since:
  3.14
See Also:
  Constant Field Values

#### IllegalModifierCombinationForPrivateInterfaceMethod9

    static final int IllegalModifierCombinationForPrivateInterfaceMethod9

Since:
  3.14
See Also:
  Constant Field Values

#### UndefinedModule

    static final int UndefinedModule

Since:
  3.14
See Also:
  Constant Field Values

#### DuplicateRequires

    static final int DuplicateRequires

Since:
  3.14
See Also:
  Constant Field Values

#### DuplicateExports

    static final int DuplicateExports

Since:
  3.14
See Also:
  Constant Field Values

#### DuplicateUses

    static final int DuplicateUses

Since:
  3.14
See Also:
  Constant Field Values

#### DuplicateServices

    static final int DuplicateServices

Since:
  3.14
See Also:
  Constant Field Values

#### CyclicModuleDependency

    static final int CyclicModuleDependency

Since:
  3.14
See Also:
  Constant Field Values

#### AbstractServiceImplementation

    static final int AbstractServiceImplementation

Since:
  3.14
See Also:
  Constant Field Values

#### ProviderMethodOrConstructorRequiredForServiceImpl

    static final int ProviderMethodOrConstructorRequiredForServiceImpl

Since:
  3.14
See Also:
  Constant Field Values

#### ServiceImplDefaultConstructorNotPublic

    static final int ServiceImplDefaultConstructorNotPublic

Since:
  3.14
See Also:
  Constant Field Values

#### NestedServiceImpl

    static final int NestedServiceImpl

Since:
  3.14
See Also:
  Constant Field Values

#### ServiceImplNotDefinedByModule

    static final int ServiceImplNotDefinedByModule

Since:
  3.14
See Also:
  Constant Field Values

#### PackageDoesNotExistOrIsEmpty

    static final int PackageDoesNotExistOrIsEmpty

Since:
  3.14
See Also:
  Constant Field Values

#### NonDenotableTypeArgumentForAnonymousDiamond

    static final int NonDenotableTypeArgumentForAnonymousDiamond

Since:
  3.14
See Also:
  Constant Field Values

#### DuplicateOpens

    static final int DuplicateOpens

Since:
  3.14
See Also:
  Constant Field Values

#### DuplicateModuleRef

    static final int DuplicateModuleRef

Since:
  3.14
See Also:
  Constant Field Values

#### InvalidOpensStatement

    static final int InvalidOpensStatement

Since:
  3.14
See Also:
  Constant Field Values

#### InvalidServiceIntfType

    static final int InvalidServiceIntfType

Since:
  3.14
See Also:
  Constant Field Values

#### InvalidServiceImplType

    static final int InvalidServiceImplType

Since:
  3.14
See Also:
  Constant Field Values

#### IllegalModifierForModule

    static final int IllegalModifierForModule

Since:
  3.14
See Also:
  Constant Field Values

#### DuplicateResource

    static final int DuplicateResource

Since:
  3.14
See Also:
  Constant Field Values

#### UsingTerminallyDeprecatedType

    static final int UsingTerminallyDeprecatedType

Since:
  3.14
See Also:
  Constant Field Values

#### UsingTerminallyDeprecatedMethod

    static final int UsingTerminallyDeprecatedMethod

Since:
  3.14
See Also:
  Constant Field Values

#### UsingTerminallyDeprecatedConstructor

    static final int UsingTerminallyDeprecatedConstructor

Since:
  3.14
See Also:
  Constant Field Values

#### UsingTerminallyDeprecatedField

    static final int UsingTerminallyDeprecatedField

Since:
  3.14
See Also:
  Constant Field Values

#### OverridingTerminallyDeprecatedMethod

    static final int OverridingTerminallyDeprecatedMethod

Since:
  3.14
See Also:
  Constant Field Values

#### NotAccessibleType

    static final int NotAccessibleType

Since:
  3.14
See Also:
  Constant Field Values

#### NotAccessibleField

    static final int NotAccessibleField

Since:
  3.14
See Also:
  Constant Field Values

#### NotAccessibleMethod

    static final int NotAccessibleMethod

Since:
  3.14
See Also:
  Constant Field Values

#### NotAccessibleConstructor

    static final int NotAccessibleConstructor

Since:
  3.14
See Also:
  Constant Field Values

#### NotAccessiblePackage

    static final int NotAccessiblePackage

Since:
  3.14
See Also:
  Constant Field Values

#### ConflictingPackageFromModules

    static final int ConflictingPackageFromModules

Since:
  3.14
See Also:
  Constant Field Values

#### ConflictingPackageFromOtherModules

    static final int ConflictingPackageFromOtherModules

Since:
  3.14
See Also:
  Constant Field Values

#### NonPublicTypeInAPI

    static final int NonPublicTypeInAPI

Since:
  3.14
See Also:
  Constant Field Values

#### NotExportedTypeInAPI

    static final int NotExportedTypeInAPI

Since:
  3.14
See Also:
  Constant Field Values

#### MissingRequiresTransitiveForTypeInAPI

    static final int MissingRequiresTransitiveForTypeInAPI

Since:
  3.14
See Also:
  Constant Field Values

#### UnnamedPackageInNamedModule

    static final int UnnamedPackageInNamedModule

Since:
  3.14
See Also:
  Constant Field Values

#### RedundantNullDefaultAnnotationLocal

    static final int RedundantNullDefaultAnnotationLocal

Since:
  3.13
See Also:
  Constant Field Values

#### RedundantNullDefaultAnnotationField

    static final int RedundantNullDefaultAnnotationField

Since:
  3.13
See Also:
  Constant Field Values

#### GenericInferenceError

    static final int GenericInferenceError

Since:
  3.10
See Also:
  Constant Field Values

#### LambdaShapeComputationError

    static final int LambdaShapeComputationError

Deprecated. - problem is no longer generated (implementation issue has been resolved)

Since:
  3.10
See Also:
  Constant Field Values

#### ProblemNotAnalysed

    static final int ProblemNotAnalysed

Since:
  3.13
See Also:
  Constant Field Values

#### UnlikelyCollectionMethodArgumentType

    static final int UnlikelyCollectionMethodArgumentType

Since:
  3.13
See Also:
  Constant Field Values

#### UnlikelyEqualsArgumentType

    static final int UnlikelyEqualsArgumentType

Since:
  3.13
See Also:
  Constant Field Values

### Method Detail

#### getArguments

    String[] getArguments()

Answer back the original arguments recorded into the problem.

Returns:
  the original arguments recorded into the problem

#### getID

    int getID()

Returns the problem id

Returns:
  the problem id

#### getMessage

    String getMessage()

Answer a localized, human-readable message string which describes the problem.

Returns:
  a localized, human-readable message string which describes the problem

#### getOriginatingFileName

    char[] getOriginatingFileName()

Answer the file name in which the problem was found.

Returns:
  the file name in which the problem was found

#### getSourceEnd

    int getSourceEnd()

Answer the end position of the problem (inclusive), or -1 if unknown.

Returns:
  the end position of the problem (inclusive), or -1 if unknown

#### getSourceLineNumber

    int getSourceLineNumber()

Answer the line number in source where the problem begins.

Returns:
  the line number in source where the problem begins

#### getSourceStart

    int getSourceStart()

Answer the start position of the problem (inclusive), or -1 if unknown.

Returns:
  the start position of the problem (inclusive), or -1 if unknown

#### isError

    boolean isError()

Returns whether the severity of this problem is 'Error'.

Returns:
  true if the severity of this problem is 'Error', false otherwise

#### isWarning

    boolean isWarning()

Returns whether the severity of this problem is 'Warning'.

Returns:
  true if the severity of this problem is 'Warning', false otherwise

#### isInfo

    boolean isInfo()

Returns whether the severity of this problem is 'Info'.

Returns:
  true if the severity of this problem is 'Info', false otherwise
Since:
  3.12

#### setSourceEnd

    void setSourceEnd(int sourceEnd)

Set the end position of the problem (inclusive), or -1 if unknown. Used for shifting problem positions.

Parameters:
  `sourceEnd` - the given end position

#### setSourceLineNumber

    void setSourceLineNumber(int lineNumber)

Set the line number in source where the problem begins.

Parameters:
  `lineNumber` - the given line number

#### setSourceStart

    void setSourceStart(int sourceStart)

Set the start position of the problem (inclusive), or -1 if unknown. Used for shifting problem positions.

Parameters:
  `sourceStart` - the given start position